import fit2cloudTwLocale from 'fit2cloud-ui-plus/src/locale/lang/zh-tw';
let xpackTwLocale = {};
const xpackModules = import.meta.glob('../../xpack/lang/tw.ts', { eager: true });
if (xpackModules['../../xpack/lang/tw.ts']) {
    xpackTwLocale = xpackModules['../../xpack/lang/tw.ts']['default'] || {};
}

const message = {
    commons: {
        true: '是',
        false: '否',
        colon: '：',
        example: '例如：',
        fit2cloud: '飛致雲',
        lingxia: '凌霞',
        button: {
            create: '建立',
            add: '新增',
            save: '儲存',
            set: '設定',
            sync: '同步',
            delete: '刪除',
            edit: '編輯',
            enable: '啟用',
            disable: '停用',
            confirm: '確認',
            cancel: '取消',
            reset: '重設',
            restart: '重啟',
            conn: '連接',
            disconnect: '斷開',
            clean: '清空',
            login: '登入',
            close: '關閉',
            off: '關閉',
            stop: '關閉',
            start: '開啟',
            view: '詳情',
            watch: '追蹤',
            handle: '執行',
            expand: '展開',
            collapse: '收起',
            log: '日誌',
            back: '返回',
            backup: '備份',
            recover: '復原',
            retry: '重試',
            upload: '上傳',
            download: '下載',
            init: '初始化',
            verify: '驗證',
            saveAndEnable: '儲存並啟用',
            import: '匯入',
            search: '搜尋',
            refresh: '重新整理',
            get: '獲取',
            upgrade: '升級',
            ignore: '忽略升級',
            copy: '複製',
            random: '隨機密碼',
            uninstall: '移除',
            fullscreen: '全螢幕',
            quitFullscreen: '退出全螢幕',
            update: '編輯',
            showAll: '顯示所有',
            hideSome: '隱藏部分',
            agree: '同意',
            notAgree: '不同意',
            preview: '預覽',
            open: '打開',
            notSave: '不儲存',
            createNewFolder: '新增資料夾',
            createNewFile: '新增檔案',
            helpDoc: '說明文件',
            unbind: '解綁',
        },
        search: {
            timeStart: '開始時間',
            timeEnd: '結束時間',
            timeRange: '至',
            dateStart: '開始日期',
            dateEnd: '結束日期',
        },
        table: {
            all: '所有',
            total: '共 {0} 條',
            name: '名稱',
            type: '類型',
            status: '狀態',
            statusSuccess: '成功',
            statusFailed: '失敗',
            statusWaiting: '進行中...',
            records: '任務輸出',
            group: '分組',
            createdAt: '建立時間',
            publishedAt: '發布時間',
            date: '時間',
            updatedAt: '更新時間',
            operate: '操作',
            message: '資訊',
            description: '描述資訊',
            interval: '耗時',
            user: '用戶',
            title: '標題',
            port: '埠',
            forward: '轉發',
            protocol: '協議',
            tableSetting: '列表設定',
            refreshRate: '更新頻率',
            noRefresh: '不更新',
            refreshRateUnit: '不更新 | {0} 秒/次 | {0} 秒/次',
            selectColumn: '選擇列',
        },
        loadingText: {
            Upgrading: '系統升級中，請稍候...',
            Restarting: '系統重啟中，請稍候...',
            Recovering: '快照復原中，請稍候...',
            Rollbacking: '快照回滾中，請稍候...',
        },
        msg: {
            noneData: '暫無資料',
            delete: '刪除 操作不可回滾，是否繼續？',
            clean: '清空 操作不可回滾，是否繼續？',
            deleteTitle: '刪除',
            deleteSuccess: '刪除成功',
            loginSuccess: '登入成功',
            operationSuccess: '操作成功',
            copySuccess: '複製成功',
            notSupportOperation: '不支援的目前操作',
            requestTimeout: '請求超時，請稍後重試',
            infoTitle: '提示',
            notRecords: '目前任務未產生執行記錄',
            sureLogOut: '您是否確認退出登入?',
            createSuccess: '建立成功',
            updateSuccess: '更新成功',
            uploadSuccess: '上傳成功',
            operate: '操作',
            operateConfirm: '如果確認操作，請手動輸入',
            inputOrSelect: '請選擇或輸入',
            copyFailed: '複製失敗',
            operatorHelper: '將對以下{0}進行{1}操作，是否繼續？',
            backupSuccess: '備份成功',
            restoreSuccess: '備份成功',
            notFound: '抱歉，您瀏覽的頁面不存在',
            unSupportType: '不支援目前文件類型！',
            unSupportSize: '上傳文件超過 {0}M，請確認！',
            fileExist: '目前資料夾已存在該文件，不支援重複上傳！',
            fileNameErr: '僅支援上傳名稱包含英文、中文、數字或者 .-_ ,長度 1-256 位的文件',
            confirmNoNull: '請確認 {0} 值不為空',
            errPort: '錯誤的埠資訊，請確認！',
            remove: '移出',
            backupHelper: '目前操作將對 {0} 進行備份，是否繼續？',
            recoverHelper: '將從 {0} 文件進行復原，該操作不可回滾，是否繼續？',
            refreshSuccess: '重繪成功',
            rootInfoErr: '已經是根目錄了',
            resetSuccess: '重設成功',
            creatingInfo: '正在建立，無需此操作',
        },
        login: {
            username: '用戶名',
            password: '密碼',
            welcome: '歡迎回來，請輸入用戶名和密碼登入！',
            errorAuthInfo: '您輸入的用戶名或密碼不正確，請重新輸入！',
            errorMfaInfo: '錯誤的驗證資訊，請重試！',
            captchaHelper: '驗證碼',
            errorCaptcha: '驗證碼錯誤！',
            notSafe: '暫無權限瀏覽',
            safeEntrance1: '目前環境已經開啟了安全入口登入',
            safeEntrance2: '在 SSH 終端輸入以下命令來查看面板入口: 1pctl user-info',
            errIP1: '目前環境已經開啟了授權 IP 瀏覽',
            errDomain1: '目前環境已經開啟了瀏覽域名綁定',
            errHelper: '可在 SSH 終端輸入以下命令來重設綁定資訊: ',
            codeInput: '請輸入 MFA 驗證器的 6 位驗證碼',
            mfaTitle: 'MFA 認證',
            mfaCode: 'MFA 驗證碼',
            title: 'Linux 伺服器運維管理面板',
            licenseHelper:
                '同意 &laquo; <a href="https://www.fit2cloud.com/legal/licenses.html" target="_blank"> 飛致雲社區軟體許可協議</a> &raquo;',
            errorAgree: '請點擊同意社區軟體許可協議',
            agreeTitle: '服務協議及隱私保護',
            agreeContent:
                '為了更好的保障您的合法權益，請您閱讀並同意以下協議 &laquo; <a href="https://www.fit2cloud.com/legal/licenses.html" target="_blank"> 飛致雲社區軟體許可協議 </a> &raquo;',
            logout: '退出登入',
        },
        rule: {
            username: '請輸入用戶名',
            password: '請輸入密碼',
            rePassword: '密碼不一致，請檢查後重新輸入',
            requiredInput: '請填寫必填項',
            requiredSelect: '請選擇必選項',
            illegalInput: '輸入框中存在不合法字元',
            commonName: '支援非特殊字元開頭,英文、中文、數字、.-和_,長度1-128',
            userName: '支援英文、中文、數字和_,長度3-30',
            simpleName: '支援非底線開頭，英文、數字、_,長度3-30',
            simplePassword: '支援非底線開頭，英文、數字、_,長度1-30',
            dbName: '支援非特殊字元開頭，英文、中文、數字、.-_，長度1-64',
            imageName: '支援英文、數字、:@/.-_,長度1-256',
            composeName: '支援非特殊字元開頭，小寫英文、數字、-和_，長度1-256',
            volumeName: '支援英文、數字、.-和_,長度2-30',
            supervisorName: '支援非特殊字元開頭,英文、數字、-和_,長度1-128',
            complexityPassword: '請輸入長度為 8-30 位，並包含字母、數字、至少兩種特殊字元的密碼組合',
            commonPassword: '請輸入 6 位以上長度密碼',
            linuxName: '長度1-128，名稱不能含有{0}等符號',
            email: '請輸入正確的信箱',
            number: '請輸入正確的數字',
            integer: '請輸入正確的正整數',
            ip: '請輸入正確的 IP 地址',
            host: '請輸入正確的 IP 或者域名',
            hostHelper: '支援輸入 ip 或者域名',
            port: '請輸入正確的埠,1-65535',
            selectHelper: '請選擇正確的 {0} 文件',
            domain: '域名格式錯誤',
            databaseName: '支援英文、數字、_,長度1-30',
            ipErr: 'IP [{0}] 格式錯誤，請檢查',
            numberRange: '數字範圍: {0} - {1}',
            paramName: '支援英文、數字、.-和_,長度2-64',
            paramComplexity: '支援英文、數字、{0},長度6-128，特殊字元不能在首尾',
            paramUrlAndPort: '格式為 http(s)://(域名/ip):(埠)',
            nginxDoc: '僅支援英文大小寫，數字，和.',
            appName: '支援小寫英文、數字、-和_,長度2-30,並且不能以-_開頭和結尾',
            containerName: '支援字母、數字、_-和.,不能以-_或.開頭,長度2-128',
            mirror: '支援以 http(s):// 開頭，英文大小寫，數字，. / 和 - 的鏡像加速地址，且不能有空行',
            disableFunction: '僅支援字母、下劃線和,',
            leechExts: '僅支援字母數字和,',
            paramSimple: '支援小寫字母和數字,長度 1-128',
            filePermission: '權限錯誤',
            formatErr: '格式錯誤，檢查後重試',
            phpExtension: '僅支援 , _ 小寫英文和數字',
            paramHttp: '必須以 http:// 或 https:// 開頭',
            phone: '手機號碼格式不正確',
        },
        res: {
            paramError: '請求失敗,請稍後重試!',
            forbidden: '目前用戶無權限',
            serverError: '服務異常',
            notFound: '資源不存在',
            commonError: '請求失敗',
        },
        service: {
            serviceNotStarted: '目前未啟動 {0} 服務',
        },
        status: {
            running: '已啟動',
            done: '已完成',
            scanFailed: '未完成',
            success: '成功',
            waiting: '執行中',
            waiting1: '等待中',
            failed: '失敗',
            stopped: '已停止',
            error: '失敗',
            created: '已建立',
            restarting: '重啟中',
            uploading: '上傳中',
            unhealthy: '異常',
            removing: '移除中',
            paused: '已暫停',
            exited: '已停止',
            dead: '已結束',
            installing: '安裝中',
            enabled: '已啟用',
            disabled: '已停止',
            normal: '正常',
            building: '製作鏡像中',
            downloaderr: '下載失敗',
            upgrading: '升級中',
            upgradeerr: '升級失敗',
            pullerr: '鏡像拉取失敗',
            rebuilding: '重建中',
            deny: '已封鎖',
            accept: '已放行',
            used: '已使用',
            unUsed: '未使用',
            starting: '啟動中',
            recreating: '重建中',
            creating: '建立中',
            systemrestart: '中斷',
            init: '等待申請',
            ready: '正常',
            applying: '申請中',
            applyerror: '失敗',
            syncerr: '失敗',
            uperr: '失敗',
        },
        units: {
            second: '秒',
            minute: '分鐘',
            hour: '小時',
            day: '天',
            week: '周',
            month: '月',
            year: '年',
            time: '次',
            core: '核',
            millisecond: '毫秒',
            secondUnit: '秒',
            minuteUnit: '分鐘',
            hourUnit: '小時',
            dayUnit: '天',
            weekUnit: '周',
            monthUnit: '月',
            yearUnit: '年',
            millisecondUnit: '毫秒',
        },
        operate: {
            down: '停止',
            up: '啟動',
            restart: '重啟',
            install: '安裝',
            uninstall: '移除',
            update: '更新',
        },
    },
    menu: {
        home: '概覽',
        apps: '應用商店',
        website: '網站',
        project: '項目',
        config: '配置',
        ssh: 'SSH 配置',
        firewall: '防火牆',
        ssl: '證書',
        database: '資料庫',
        container: '容器',
        cronjob: '計劃任務',
        host: '主機',
        system: '系統',
        files: '文件',
        monitor: '監控',
        terminal: '終端',
        settings: '面板設定',
        toolbox: '工具箱',
        logs: '日誌審計',
        runtime: '執行環境',
        processManage: '行程管理',
        process: '行程',
        network: '網路',
        supervisor: '行程守護',
        tamper: '防篡改',
    },
    home: {
        restart_1panel: '重啟面板',
        restart_system: '重啟伺服器',
        operationSuccess: '操作成功，正在重啟，請稍後手動重新整理瀏覽器！',
        overview: '概覽',
        entranceHelper: '設定安全入口有利於提高系統的安全性，如有需要，前往 面板設定-安全 中，啟用安全入口',
        appInstalled: '已安裝應用',
        systemInfo: '系統資訊',
        hostname: '主機名稱',
        platformVersion: '發行版本',
        kernelVersion: '內核版本',
        kernelArch: '系統類型',
        network: '流量',
        io: '磁碟 IO',
        baseInfo: '基本資訊',
        totalSend: '總發送',
        totalRecv: '總接收',
        rwPerSecond: '讀寫次數',
        ioDelay: '讀寫延遲',
        uptime: '啟動時間',
        runningTime: '執行時間',
        mem: '系統',
        swapMem: 'Swap 分區',

        runSmoothly: '執行流暢',
        runNormal: '執行正常',
        runSlowly: '執行緩慢',
        runJam: '執行堵塞',

        core: '物理核心',
        logicCore: '邏輯核心',
        loadAverage: '最近 {0} 分鐘平均負載',
        load: '負載',
        mount: '掛載點',
        fileSystem: '文件系統',
        total: '總數',
        used: '已用',
        free: '可用',
        percent: '使用率',
        app: '推薦應用',
        goInstall: '去安裝',

        networkCard: '網卡',
        disk: '磁碟',
    },
    tabs: {
        more: '更多',
        hide: '收起',
        close: '關閉',
        closeLeft: '關閉左側',
        closeRight: '關閉右側',
        closeCurrent: '關閉目前',
        closeOther: '關閉其它',
        closeAll: '關閉所有',
    },
    header: {
        logout: '退出登入',
    },
    database: {
        all: '全部',
        manage: '管理',
        database: '資料庫',
        deleteBackupHelper: '同時刪除資料庫備份',
        delete: '刪除操作無法回滾，請輸入 "',
        deleteHelper: '" 刪除此資料庫',
        create: '建立資料庫',
        noMysql: '資料庫服務 (MySQL 或 MariaDB)',
        noPostgresql: '資料庫服務 Postgresql',
        goUpgrade: '去應用商店升級',
        goInstall: '去應用商店安裝',
        source: '來源',
        isDelete: '已刪除',
        permission: '權限',
        permissionForIP: '指定 IP',
        permissionAll: '所有人(%)',
        databaseConnInfo: '連接資訊',
        rootPassword: 'root 密碼',
        serviceName: '服務名稱',
        serviceNameHelper: '用於同一 network 下的容器間瀏覽',
        backupList: '備份列表',
        loadBackup: '匯入備份',
        remoteAccess: '遠端瀏覽',
        remoteHelper: '多個 ip 以逗號分隔，例：172.16.10.111,172.16.10.112',
        remoteConnHelper: 'root 帳號遠端連接 MySQL 有安全風險，開啟需謹慎！',
        changePassword: '改密',
        changePasswordHelper: '目前資料庫已經關聯應用，修改密碼將同步修改應用中資料庫密碼，修改後重啟生效。',

        portHelper: '該埠為容器對外暴露埠，修改需要單獨儲存並且重啟容器！',

        confChange: '配置修改',
        confNotFound: '未能找到該應用配置文件，請在應用商店升級該應用至最新版本後重試！',

        loadFromRemote: '從伺服器同步',
        userBind: '綁定使用者',
        pgBindHelper: '此操作用於建立新使用者並將其綁定到目標資料庫，暫不支援選擇已存在於資料庫中的使用者。',
        pgSuperUser: '超級使用者',
        loadFromRemoteHelper: '此操作將同步伺服器上資料庫資訊到 1Panel，是否繼續？',
        passwordHelper: '無法獲取密碼，請修改',
        local: '本機',
        remote: '遠端',
        remoteDB: '遠端伺服器',
        manageRemoteDB: '管理遠端伺服器',
        createRemoteDB: '新增遠端伺服器',
        unBindRemoteDB: '解綁遠端伺服器',
        unBindForce: '強制解綁',
        unBindForceHelper: '忽略解綁過程中的所有錯誤，確保最終操作成功',
        unBindRemoteHelper: '解綁遠端資料庫只會刪除綁定關係，不會直接刪除遠端資料庫',
        editRemoteDB: '編輯遠端伺服器',
        localDB: '本機資料庫',
        address: '資料庫地址',
        version: '資料庫版本',
        userHelper: 'root 用戶或者擁有 root 權限的資料庫用戶',
        pgUserHelper: '具有超級管理員權限的資料庫使用者',
        ssl: '使用 SSL',
        clientKey: '客戶端私鑰',
        clientCert: '客戶端證書',
        caCert: 'CA 證書',
        hasCA: '擁有 CA 證書',
        skipVerify: '忽略校驗證書可用性檢測',

        formatHelper: '目前資料庫字元集為 {0}，字元集不一致可能導致復原失敗',
        selectFile: '選擇文件',
        dropHelper: '將上傳文件拖曳到此處，或者',
        clickHelper: '按此上傳',
        supportUpType: '僅支援 sql、sql.gz、tar.gz 文件',
        zipFormat: 'tar.gz 壓縮包結構：test.tar.gz 壓縮包內，必需包含 test.sql',

        currentStatus: '目前狀態',
        baseParam: '基礎參數',
        performanceParam: '性能參數',
        runTime: '啟動時間',
        connections: '總連接數',
        bytesSent: '發送',
        bytesReceived: '接收',
        queryPerSecond: '每秒查詢',
        txPerSecond: '每秒事務',
        connInfo: '活動/峰值連接數',
        connInfoHelper: '若值過大，增加 max_connections',
        threadCacheHit: '執行緒快取命中率',
        threadCacheHitHelper: '若過低，增加 thread_cache_size',
        indexHit: '索引命中率',
        indexHitHelper: '若過低，增加 key_buffer_size',
        innodbIndexHit: 'Innodb 索引命中率',
        innodbIndexHitHelper: '若過低，增加 innodb_buffer_pool_size',
        cacheHit: '查詢快取命中率',
        cacheHitHelper: '若過低，增加 query_cache_size',
        tmpTableToDB: '建立臨時表到磁碟',
        tmpTableToDBHelper: '若過大，嘗試增加 tmp_table_size',
        openTables: '已打開的表',
        openTablesHelper: 'table_open_cache 配置值應大於等於此值',
        selectFullJoin: '沒有使用索引的量',
        selectFullJoinHelper: '若不為0，請檢查資料表的索引是否合理',
        selectRangeCheck: '沒有索引的 JOIN 量',
        selectRangeCheckHelper: '若不為0，請檢查資料表的索引是否合理',
        sortMergePasses: '排序後的合併次數',
        sortMergePassesHelper: '若值過大，增加sort_buffer_size',
        tableLocksWaited: '鎖表次數',
        tableLocksWaitedHelper: '若值過大，請考慮增加您的資料庫性能',

        performanceTuning: '性能調整',
        optimizationScheme: '最佳化方案',
        keyBufferSizeHelper: '用於索引的緩衝區大小',
        queryCacheSizeHelper: '查詢快取，不開啟請設為0',
        tmpTableSizeHelper: '臨時表快取大小',
        innodbBufferPoolSizeHelper: 'Innodb 緩衝區大小',
        innodbLogBufferSizeHelper: 'Innodb 日誌緩衝區大小',
        sortBufferSizeHelper: '* 連接數，每個執行緒排序的緩衝大小',
        readBufferSizeHelper: '* 連接數，讀入緩衝區大小',
        readRndBufferSizeHelper: '* 連接數，隨機讀取緩衝區大小',
        joinBufferSizeHelper: '* 連接數，關聯表快取大小',
        threadStackelper: '* 連接數，每個執行緒的堆疊大小',
        binlogCacheSizeHelper: '* 連接數，二進制日誌快取大小(4096的倍數)',
        threadCacheSizeHelper: '執行緒池大小',
        tableOpenCacheHelper: '表快取',
        maxConnectionsHelper: '最大連接數',
        restart: '重啟資料庫',

        log: '日誌',
        slowLog: '慢日誌',
        noData: '暫無慢日誌...',

        isOn: '開啟',
        longQueryTime: '閾值(秒)',
        thresholdRangeHelper: '請輸入正確的閾值(1 - 600)',

        timeout: '超時時間',
        timeoutHelper: '空閒連接超時時間，0表示不斷開',
        maxclients: '最大連接數',
        requirepassHelper: '留空代表沒有設定密碼，修改需要單獨儲存並且重啟容器！',
        databases: '資料庫數量',
        maxmemory: '最大記憶體使用',
        maxmemoryHelper: '0 表示不做限制',
        tcpPort: '目前監聽埠',
        uptimeInDays: '已執行天數',
        connectedClients: '連接的客戶端數量',
        usedMemory: '目前 Redis 使用的記憶體大小',
        usedMemoryRss: '向作業系統申請的記憶體大小',
        usedMemoryPeak: 'Redis 的記憶體消耗峰值',
        memFragmentationRatio: '記憶體碎片比率',
        totalConnectionsReceived: '執行以來連接過的客戶端的總數量',
        totalCommandsProcessed: '執行以來執行過的命令的總數量',
        instantaneousOpsPerSec: '伺服器每秒鐘執行的命令數量',
        keyspaceHits: '查找資料庫鍵成功的次數',
        keyspaceMisses: '查找資料庫鍵失敗的次數',
        hit: '查找資料庫鍵命中率',
        latestForkUsec: '最近一次 fork() 操作耗費的微秒數',
        redisCliHelper: '未檢測到 redis-cli 服務，請先啟用服務！',
        redisQuickCmd: 'Redis 快速命令',

        recoverHelper: '即將使用 [{0}] 對資料進行覆蓋，是否繼續?',
        submitIt: '覆蓋資料',

        baseConf: '基礎配置',
        allConf: '全部配置',
        restartNow: '立即重啟',
        restartNowHelper1: '修改配置後需要重啟生效，若您的資料需要持久化請先執行 save 操作。',
        restartNowHelper: '修改配置後需要重啟生效。',

        persistence: '持久化',
        rdbHelper1: '秒內，插入',
        rdbHelper2: '條資料',
        rdbHelper3: '符合任意一個條件將會觸發RDB持久化',
        rdbInfo: '請確認規則列表中值在 1-100000 之間',

        containerConn: '容器連接',
        connAddress: '地址',
        connPort: '埠',
        containerConnHelper: 'PHP 執行環境/容器安裝的應用程式使用此連接地址',
        remoteConn: '外部連接',
        remoteConnHelper2: '非容器或外部連接使用此地址',
        localIP: '本機 IP',
    },
    container: {
        create: '建立容器',
        edit: '編輯容器',
        updateHelper1: '檢測到該容器來源於應用商店，請注意以下兩點：',
        updateHelper2: '1. 目前修改內容不會同步到應用商店的已安裝應用。',
        updateHelper3: '2. 如果在已安裝頁面修改應用，目前編輯的部分內容將失效。',
        updateHelper4: '編輯容器需要重建，任何未持久化的資料將遺失，是否繼續？',
        containerList: '容器列表',
        operatorHelper: '將對以下容器進行 {0} 操作，是否繼續？',
        operatorAppHelper:
            '將對以下容器進行 {0} 操作，\n其中部分來源於應用商店，該操作可能會影響到該服務的正常使用。\n是否確認？',
        start: '啟動',
        stop: '停止',
        restart: '重啟',
        kill: '強制停止',
        pause: '暫停',
        unpause: '復原',
        rename: '重新命名',
        remove: '刪除',
        removeAll: '刪除所有',
        containerPrune: '清理容器',
        containerPruneHelper1: '清理容器 將刪除所有處於停止狀態的容器。',
        containerPruneHelper2:
            '若容器來自於應用商店，在執行清理操作後，您需要前往 [應用商店] 的 [已安裝] 列表，點擊 [重建] 按鈕進行重新安裝。',
        containerPruneHelper3: '該操作無法回滾，是否繼續？',
        imagePrune: '清理鏡像',
        imagePruneSome: '未標籤鏡像',
        imagePruneSomeEmpty: '暫無待清理的未使用 none 標籤鏡像',
        imagePruneSomeHelper: '清理下列標籤為 none 且未被任何容器使用的鏡像',
        imagePruneAll: '未使用鏡像',
        imagePruneAllEmpty: '暫無待清理的未使用鏡像',
        imagePruneAllHelper: '清理下列未被任何容器使用的鏡像',
        networkPrune: '清理網路',
        networkPruneHelper: '清理網路 將刪除所有未被使用的網路，該操作無法回滾，是否繼續？',
        volumePrune: '清理儲存卷',
        volumePruneHelper: '清理儲存卷 將刪除所有未被使用的本機儲存卷，該操作無法回滾，是否繼續？',
        cleanSuccess: '操作成功，本次清理數量: {0} 個！',
        cleanSuccessWithSpace: '操作成功，本次清理數量: {0} 個，釋放磁碟空間: {1}！',
        container: '容器',
        unExposedPort: '目前埠映射地址為 127.0.0.1，無法實現外部瀏覽',
        upTime: '執行時長',
        all: '全部',
        fetch: '過濾',
        lines: '條數',
        linesHelper: '請輸入正確的日誌獲取條數！',
        lastDay: '最近一天',
        last4Hour: '最近 4 小時',
        lastHour: '最近 1 小時',
        last10Min: '最近 10 分鐘',
        cleanLog: '清空日誌',
        downLogHelper1: '即將下載 {0} 容器所有日誌，是否繼續？',
        downLogHelper2: '即將下載 {0} 容器最近 {1} 條日誌，是否繼續？',
        cleanLogHelper: '清空日誌需要重啟容器，該操作無法回滾，是否繼續？',
        newName: '新名稱',
        source: '資源使用率',
        cpuUsage: 'CPU 使用',
        cpuTotal: 'CPU 總計',
        core: '核心數',
        memUsage: '記憶體使用',
        memTotal: '記憶體限額',
        memCache: '快取使用',
        ip: 'IP 地址',
        cpuShare: 'CPU 權重',
        cpuShareHelper: '容器預設份額為 1024 個 CPU，增大可使目前容器獲得更多的 CPU 時間',
        inputIpv4: '請輸入 IPv4 地址',
        inputIpv6: '請輸入 IPv6 地址',

        containerFromAppHelper: '檢測到該容器來源於應用商店，應用操作可能會導致目前編輯失效',
        containerFromAppHelper1: '在已安裝應用程式列表點擊 [參數] 按鈕，進入編輯頁面即可修改容器名稱。',
        command: '命令',
        console: '控制臺交互',
        tty: '偽終端 ( -t )',
        openStdin: '標準輸入 ( -i )',
        custom: '自訂',
        containerTerminal: '終端',
        emptyUser: '為空時，將使用容器預設的用戶登入',
        privileged: '特權模式',
        privilegedHelper: '允許容器在主機上執行某些特權操作，可能會增加容器風險，請謹慎開啟！',
        editComposeHelper:
            '注意：設定的環境變數會預設寫入 1panel.env 文件。\n若需在容器中使用這些參數，還需在 compose 文件中手動新增 env_file 引用。',

        upgradeHelper: '倉庫名稱/鏡像名稱:鏡像版本',
        upgradeWarning2: '升級操作需要重建容器，任何未持久化的資料將會遺失，是否繼續？',
        oldImage: '目前鏡像',
        targetImage: '目標鏡像',
        imageLoadErr: '未檢測到容器的鏡像名稱',
        appHelper: '該容器來源於應用商店，升級可能導致該服務不可用',

        input: '手動輸入',
        forcePull: '強制拉取鏡像',
        forcePullHelper: '忽略伺服器已存在的鏡像，重新拉取一次',
        server: '伺服器',
        serverExample: '80, 80-88, ip:80 或者 ip:80-88',
        containerExample: '80 或者 80-88',
        exposePort: '暴露埠',
        exposeAll: '暴露所有',
        cmdHelper: '例： nginx -g "daemon off;"',
        entrypointHelper: '例： docker-entrypoint.sh',
        autoRemove: '容器退出後自動刪除容器',
        cpuQuota: 'CPU 限制',
        memoryLimit: '記憶體限制',
        limitHelper: '限制為 0 則關閉限制，最大可用為 {0}',
        mount: '掛載',
        volumeOption: '掛載卷',
        hostOption: '本機目錄',
        serverPath: '伺服器目錄',
        containerDir: '容器目錄',
        volumeHelper: '請確認儲存卷內容輸入正確',
        modeRW: '讀寫',
        modeR: '唯讀',
        mode: '權限',
        env: '環境變數',
        restartPolicy: '重啟規則',
        always: '一直重啟',
        unlessStopped: '未手動停止則重啟',
        onFailure: '失敗後重啟（預設重啟 5 次）',
        no: '不重啟',

        monitor: '監控',
        refreshTime: '更新間隔',
        cache: '快取',

        image: '鏡像',
        imagePull: '拉取鏡像',
        imagePush: '推送鏡像',
        imageDelete: '刪除鏡像',
        imageDeleteTag: '刪除 Tag',
        imageTagDeleteHelper: '移除與該映像 ID 相關聯的其他標籤',
        repoName: '倉庫名',
        imageName: '鏡像名',
        httpRepo: 'http 倉庫新增授信需要重啟 docker 服務',
        delInsecure: '刪除授信',
        delInsecureHelper: '刪除授信需要重啟 docker 服務，是否刪除？',
        pull: '拉取',
        path: '路徑',
        importImage: '匯入鏡像',
        imageBuild: '構建鏡像',
        build: '構建鏡像',
        pathSelect: '路徑選擇',
        label: '標籤',
        imageTag: '鏡像標籤',
        push: '推送',
        fileName: '文件名',
        export: '匯出',
        exportImage: '匯出鏡像',
        version: '版本',
        size: '大小',
        from: '來源',
        tag: '標籤',
        tagHelper: '一行一個，例： \nkey1=value1\nkey2=value2',
        imageNameHelper: '鏡像名稱及 Tag，例：nginx:latest',
        cleanBuildCache: '清理建置快取',
        delBuildCacheHelper: '清理建置快取將刪除所有建置所產生的快取，此操作無法回復。是否繼續？',
        urlWarning: '路徑前綴不需要新增 http:// 或 https://，請修改',

        network: '網路',
        networkHelper: '刪除 1panel-network 容器網路將影響部分應用和執行環境的正常使用，是否繼續？',
        createNetwork: '建立網路',
        networkName: '網路名',
        driver: '模式',
        option: '參數',
        attachable: '可用',
        subnet: '子網',
        scope: 'IP 範圍',
        gateway: '閘道器',
        auxAddress: '排除 IP',

        volume: '儲存卷',
        volumeDir: '儲存卷目錄',
        nfsEnable: '啟用 NFS 儲存',
        nfsAddress: '地址',
        mountpoint: '掛載點',
        mountpointNFSHelper: '例：/nfs, /nfs-share',
        options: '可選參數',
        createVolume: '建立儲存卷',

        repo: '倉庫',
        createRepo: '新增倉庫',
        downloadUrl: '下載地址',
        imageRepo: '鏡像倉庫',
        repoHelper: '是否包含鏡像倉庫/組織/項目?',
        auth: '認證',
        mirrorHelper:
            '當存在多個加速器時，需要換行顯示，例： \nhttp://xxxxxx.m.daocloud.io \nhttps://xxxxxx.mirror.aliyuncs.com',
        registrieHelper: '當存在多個私有倉庫時，需要換行顯示，例：\n172.16.10.111:8081 \n172.16.10.112:8081',

        compose: '編排',
        fromChangeHelper: '切換來源將清空目前已編輯內容，是否繼續？',
        composePathHelper: '配置文件儲存路徑: {0}',
        composeHelper: '透過 1Panel 編輯或者模版建立的編排，將儲存在 {0}/docker/compose 路徑下',
        deleteFile: '刪除文件',
        allDelete: '徹底刪除',
        deleteComposeHelper: '刪除容器編排的所有文件，包括配置文件和持久化文件，請謹慎操作！',
        deleteCompose: '" 刪除此編排',
        apps: '應用商店',
        local: '本機',
        createCompose: '建立編排',
        composeDirectory: '編排目錄',
        template: '模版',
        composeTemplate: '編排模版',
        createComposeTemplate: '建立編排模版',
        description: '描述',
        content: '內容',
        contentEmpty: '編排內容不能為空，請輸入後重試！',
        containerNumber: '容器數量',
        containerStatus: '容器狀態',
        exited: '已停止',
        running: '執行中',
        down: '刪除',
        up: '啟動',
        composeDetailHelper: '該 compose 為 1Panel 編排外部建立。暫不支援啟停操作。',
        composeOperatorHelper: '將對 {0} 進行 {1} 操作，是否繼續？',
        composeDownHelper: '將停止並刪除 {0} 編排下所有容器及網路，是否繼續？',

        setting: '配置',
        operatorStatusHelper: '此操作將{0}Docker 服務，是否繼續？',
        dockerStatus: 'Docker 服務',
        daemonJsonPathHelper: '請保證配置路徑與 docker.service 中指定的配置路徑保持一致。',
        mirrors: '鏡像加速',
        mirrorsHelper: '優先使用加速 URL 執行操作，設定為空則取消鏡像加速。',
        mirrorsHelper2: '具體操作配置請參照官方文件',
        registries: '私有倉庫',
        ipv6Helper: '開啟 IPv6 後，需要增加 IPv6 的容器網路，具體操作配置請參照官方文件',
        ipv6CidrHelper: '容器的 IPv6 地址池範圍',
        ipv6TablesHelper: 'Docker IPv6 對 iptables 規則的自動配置',
        experimentalHelper: '開啟 ip6tables 必須開啟此配置，否則 ip6tables 會被忽略',
        cutLog: '日誌切割',
        cutLogHelper1: '目前配置只會影響新建立的容器；',
        cutLogHelper2: '已經建立的容器需要重新建立使配置生效；',
        cutLogHelper3:
            '注意，重新建立容器可能會導致資料遺失。如果你的容器中有重要資料，確保在執行重建操作之前進行備份。',
        maxSize: '文件大小',
        maxFile: '保留份數',
        liveHelper: '允許在 Docker 守護行程發生意外停機或崩潰時保留正在執行的容器狀態',
        liveWithSwarmHelper: 'live-restore 守護行程配置與 Swarm 模式不相容',
        iptablesDisable: '關閉 iptables',
        iptablesHelper1: 'Docker 對 iptables 規則的自動配置',
        iptablesHelper2: '關閉 iptables 會導致容器無法與外部網路通信。',
        daemonJsonPath: '配置路徑',
        serviceUnavailable: '目前未啟動 Docker 服務，請在',
        startIn: '中開啟',
        sockPath: 'Socket 路徑',
        sockPathHelper: 'Docker 守護行程（Docker Daemon）與客戶端之間的通信通道',
        sockPathHelper1: '預設路徑：/var/run/docker-x.sock',
        sockPathMsg: '儲存設定 Socket 路徑可能導致 Docker 服務不可用，是否繼續？',
        sockPathErr: '請選擇或輸入正確的 Docker sock 文件路徑',
        related: '相關資源',
        includeAppstore: '顯示應用程式商店容器',

        cleanDockerDiskZone: '清理 Docker 使用的磁碟空間',
        cleanImagesHelper: '( 清理所有未被任何容器使用的鏡像 )',
        cleanContainersHelper: '( 清理所有處於停止狀態的容器 )',
        cleanVolumesHelper: '( 清理所有未被使用的本機儲存卷 )',

        makeImage: '製作鏡像',
        newImageName: '新鏡像名稱',
        commitMessage: '提交資訊',
        author: '作者',
        ifPause: '製作過程中是否暫停容器',
        ifMakeImageWithContainer: '是否根據此容器製作新鏡像？',
    },
    cronjob: {
        create: '建立計劃任務',
        edit: '編輯計劃任務',
        cronTask: '計劃任務',
        changeStatus: '狀態修改',
        disableMsg: '停止計劃任務會導致該任務不再自動執行。是否繼續？',
        enableMsg: '啟用計劃任務會讓該任務定期自動執行。是否繼續？',
        taskType: '任務類型',
        record: '報告',
        viewRecords: '查看報告',
        shell: 'Shell 腳本',
        log: '備份日誌',
        logHelper: '備份系統日誌',
        logHelper1: '1. 1Panel 系統日誌',
        logHelper2: '2. 伺服器的 SSH 登入日誌',
        logHelper3: '3. 所有網站日誌',
        containerCheckBox: '在容器中執行（無需再輸入進入容器命令）',
        containerName: '容器名稱',
        ntp: '同步伺服器時間',
        ntp_helper: '您可以在工具箱的快速設定頁面配置 NTP 伺服器',
        app: '備份應用',
        website: '備份網站',
        rulesHelper: '當存在多個壓縮排除規則時，需要換行顯示，例：\n*.log \n*.sql',
        lastRecordTime: '上次執行時間',
        database: '備份資料庫',
        missBackupAccount: '未能找到備份帳號',
        syncDate: '同步時間 ',
        clean: '快取清理',
        curl: '瀏覽 URL',
        taskName: '任務名稱',
        cronSpec: '執行週期',
        cronSpecHelper: '請輸入正確的執行週期',
        cleanHelper: '該操作將所有任務執行記錄、備份文件和日誌文件，是否繼續？',
        directory: '備份目錄',
        sourceDir: '備份目錄',
        snapshot: '系統快照',
        allOptionHelper: '目前計劃任務為備份所有【{0}】，暫不支援直接下載，可在【{0}】備份列表中查看',
        exclusionRules: '排除規則',
        exclusionRulesHelper: '排除規則將對此次備份的所有壓縮操作生效',
        default_download_path: '預設下載地址',
        saveLocal: '同時保留本機備份（和雲儲存保留份數一致）',
        url: 'URL 地址',
        targetHelper: '備份帳號可在面板設定中維護',
        retainCopies: '保留份數',
        retainCopiesHelper: '執行記錄及日誌保留份數',
        retainCopiesHelper1: '備份文件保留份數',
        retainCopiesUnit: ' 份 (查看)',
        cronSpecRule: '第 {0} 行中執行週期格式錯誤，請檢查後重試！',
        perMonthHelper: '每月 {0} 日 {1}:{2} 執行',
        perWeekHelper: '每週 {0} {1}:{2} 執行',
        perDayHelper: '每日 {0}:{1} 執行',
        perHourHelper: '每小時 {0}分 執行',
        perNDayHelper: '每 {0} 日 {1}:{2} 執行',
        perNHourHelper: '每 {0}小時 {1}分 執行',
        perNMinuteHelper: '每 {0}分 執行',
        perNSecondHelper: '每 {0}秒 執行',
        perMonth: '每月',
        perWeek: '每週',
        perHour: '每小時',
        perNDay: '每 N 日',
        perDay: '每天',
        perNHour: '每 N 時',
        perNMinute: '每 N 分鐘',
        perNSecond: '每 N 秒',
        day: '日',
        dayUnit: '日',
        monday: '週一',
        tuesday: '週二',
        wednesday: '週三',
        thursday: '週四',
        friday: '週五',
        saturday: '週六',
        sunday: '週日',
        shellContent: '腳本內容',
        errRecord: '錯誤的日誌記錄',
        errHandle: '任務執行失敗',
        noRecord: '目前計劃任務暫未產生記錄',
        cleanData: '刪除備份文件',
        cleanDataHelper: '刪除該任務執行過程中產生的備份文件',
        noLogs: '暫無任務輸出...',
        errPath: '備份路徑 [{0}] 錯誤，無法下載！',
        cutWebsiteLog: '切割網站日誌',
        cutWebsiteLogHelper: '切割的日誌文件會備份到 1Panel 的 backup 目錄下',

        requestExpirationTime: '上傳請求過期時間（小時）',
        unitHours: '單位：小時',
        alertTitle: '計畫任務-{0}「{1}」任務失敗告警',
    },
    monitor: {
        monitor: '監控',
        globalFilter: '全局過濾',
        enableMonitor: '監控狀態',
        storeDays: '儲存天數',
        cleanMonitor: '清空監控記錄',

        avgLoad: '平均負載',
        loadDetail: '負載詳情',
        resourceUsage: '資源使用率',
        networkCard: '網卡',
        read: '讀取',
        write: '寫入',
        readWriteCount: '讀寫次數',
        readWriteTime: '讀寫延遲',
        today: '今天',
        yesterday: '昨天',
        lastNDay: '近 {0} 天',
        memory: '記憶體',
        cache: '快取',
        disk: '磁碟',
        network: '網路',
        up: '上行',
        down: '下行',
        interval: '採集間隔（分鐘）',

        gpuUtil: 'GPU 使用率',
        temperature: '溫度',
        performanceState: '性能狀態',
        powerUsage: '功耗',
        memoryUsage: '顯存使用率',
        fanSpeed: '風扇轉速',
    },
    terminal: {
        conn: '連接',
        connLocalErr: '無法自動認證，請填寫本機伺服器的登入資訊！',
        testConn: '連接測試',
        saveAndConn: '儲存並連接',
        connTestOk: '連接資訊可用',
        connTestFailed: '連接不可用，請檢查連接資訊！',
        host: '主機',
        createConn: '新增連接',
        group: '分組',
        manageGroup: '管理@:terminal.group',
        noHost: '暫無主機',
        groupChange: '切換分組',
        expand: '全部展開',
        fold: '全部收縮',
        batchInput: '批次輸入',
        quickCommand: '快速命令',
        quickCommandHelper: '常用命令列表，用於在終端界面底部快速選擇',
        groupDeleteHelper: '移除組後，組內所有連接將遷移到 default 組內，是否繼續？',
        command: '命令',
        addHost: '新增主機',
        localhost: '本機伺服器',
        ip: '主機地址',
        authMode: '認證方式',
        passwordMode: '密碼認證',
        rememberPassword: '記住認證資訊',
        keyMode: '私鑰認證',
        key: '私鑰',
        keyPassword: '私鑰密碼',
        emptyTerminal: '暫無終端連接',
    },
    toolbox: {
        swap: {
            swap: 'Swap',
            swapHelper1: 'Swap 的大小應該是物理記憶體的 1 到 2 倍，可根據具體情況進行調整；',
            swapHelper2: '在建立 Swap 文件之前，請確保系統硬碟有足夠的可用空間，Swap 文件的大小將佔用相應的磁碟空間；',
            swapHelper3:
                'Swap 可以幫助緩解記憶體壓力，但僅是一個備選項，過多依賴可能導致系統性能下降，建議優先考慮增加記憶體或者最佳化應用程序記憶體使用；',
            swapHelper4: '建議定期監控 Swap 的使用情況，以確保系統正常執行。',
            swapDeleteHelper: '此操作將移除 Swap 分區 {0}，出於系統安全考慮，不會自動刪除該文件，如需刪除請手動操作！',
            saveHelper: '請先儲存目前設定！',
            saveSwap: '儲存目前配置將調整 Swap 分區 {0} 大小到 {1}，是否繼續？',
            swapMin: '分區大小最小值為 40 KB，請修改後重試！',
            swapMax: '分區大小最大值為 {0}，請修改後重試！',
            swapOff: '分區大小最小值為 40 KB，設定為 0 則關閉 Swap 分區。',
        },
        device: {
            dnsHelper: '伺服器地址域名解析',
            dnsAlert: '請注意！修改 /etc/resolv.conf 文件的配置時，重啟系統後會將文件復原為預設值',
            dnsHelper1: '當存在多個DNS時，需換行顯示，例：\n114.114.114.114\n8.8.8.8',
            hostsHelper: '主機名解析',
            hosts: '域名',
            hostAlert: '隱藏了已註釋的紀錄，請點擊 全部配置 按鈕以查看或設定',
            toolbox: '快速設定',
            hostname: '主機名',
            passwd: '系統密碼',
            passwdHelper: '輸入的字元不能包含 $ 和 &',
            timeZone: '系統時區',
            localTime: '伺服器時間',
            timeZoneChangeHelper: '修改系統時區需要重新啟動服務，是否繼續？',
            timeZoneHelper: '時區修改依賴於 timedatectl 命令，如未安裝可能導致修改失敗',
            timeZoneCN: '北京',
            timeZoneAM: '洛杉磯',
            timeZoneNY: '紐約',
            ntpALi: '阿里',
            ntpGoogle: '谷歌',
            syncSite: 'NTP 伺服器',
            syncSiteHelper: '該操作將使用 {0} 作為源進行系統時間同步，是否繼續？',
            hostnameHelper: '主機名修改依賴於 hostnamectl 命令，如未安裝可能導致修改失敗',
            userHelper: '用戶名依賴於 whoami 命令獲取，如未安裝可能導致獲取失敗。',
            passwordHelper: '密碼修改依賴於 chpasswd 命令，如未安裝可能導致修改失敗',
            hostHelper: '填寫的內容中存在空值，請檢查修改後重試！',
            dnsCheck: '測試可用性',
            dnsOK: 'DNS 配置資訊可用！',
            dnsTestFailed: 'DNS 配置資訊不可用，請修改後重試！',
        },
        fail2ban: {
            sshPort: '監聽 SSH 埠',
            sshPortHelper: '目前 Fail2ban 監聽主機 SSH 連接埠',
            noFail2ban: '未檢測到 Fail2ban 服務，請參考官方文件進行安裝！',
            unActive: '目前未開啟 Fail2ban 服務，請先開啟！',
            operation: '對 Fail2ban 服務進行 [{0}] 操作，是否繼續？',
            fail2banChange: 'Fail2ban 配置修改',
            ignoreHelper: '白名單中的 IP 列表將被忽略封鎖，是否繼續？',
            bannedHelper: '黑名單中的 IP 列表將被伺服器封鎖，是否繼續？',
            banTimeRule: '請輸入正確的停用時間或 -1',
            banAllTime: '永久停用',
            maxRetry: '最大重試次數',
            banTime: '停用時間',
            banTimeHelper: '預設停用時間為 10 分鐘，停用時間為 -1 則表示永久停用',
            findTime: '發現週期',
            banAction: '停用方式',
            banActionOption: '透過 {0} 來停用指定的 IP 地址',
            allPorts: ' (所有埠)',
            ignoreIP: 'IP 白名單',
            bannedIP: 'IP 黑名單',
            logPath: '日誌路徑',
            logPathHelper: '預設為 /var/log/secure 或者 /var/log/auth.log',
        },
        ftp: {
            ftp: 'FTP 帳戶',
            noFtp: '未檢測到 FTP (pure-ftpd) 服務，請參考官方文件進行安裝！',
            operation: '對 FTP 服務進行 [{0}] 操作，是否繼續？',
            noPasswdMsg: '無法獲取目前 FTP 帳號密碼，請先設定密碼後重試！',
            enableHelper: '啟用選取的 FTP 帳號後，該 FTP 帳號將復原瀏覽權限，是否繼續操作？',
            disableHelper: '停用選取的 FTP 帳號後，該 FTP 帳號將失去瀏覽權限，是否繼續操作？',
            syncHelper: '同步伺服器與資料庫中的 FTP 帳戶資料，是否繼續操作？',
        },
        clam: {
            clam: '病毒掃描',
            cron: '定時掃描',
            cronHelper: '專業版支援定時掃描功能',
            specErr: '執行週期格式錯誤，請檢查後重試！',
            disableMsg: '停止定時執行會導致該掃描任務不再自動執行。是否繼續？',
            enableMsg: '啟用定時執行會讓該掃描任務定期自動執行。是否繼續？',
            showFresh: '顯示病毒庫服務',
            hideFresh: '隱藏病毒庫服務',
            clamHelper:
                'ClamAV 的最低建議配置為：3 GiB 以上的 RAM，2.0 GHz 以上的單核 CPU，以及至少 5 GiB 的可用硬碟空間。',
            noClam: '未檢測到 ClamAV 服務，請參考官方文件進行安裝！',
            notStart: '目前未 ClamAV 服務，請先開啟！',
            removeRecord: '刪除報告文件',
            noRecords: '點擊「執行」按鈕開始掃描，掃描結果將會記錄在這裡。',
            removeResultHelper: '刪除任務執行過程中生成的報告文件，以清理儲存空間。',
            removeInfected: '刪除病毒文件',
            removeInfectedHelper: '刪除任務檢測到的病毒文件，以確保伺服器的安全和正常執行。',
            clamCreate: '建立掃描規則',
            infectedStrategy: '感染文件策略',
            remove: '刪除',
            removeHelper: '刪除病毒文件，請謹慎選擇！',
            move: '移動',
            moveHelper: '將病毒文件移動到指定目錄下',
            copy: '複製',
            copyHelper: '將病毒文件複製到指定目錄下',
            none: '不操作',
            noneHelper: '不對病毒文件採取任何操作',
            scanDir: '掃描目錄',
            infectedDir: '隔離目錄',
            scanDate: '掃描時間',
            scanResult: '掃描報告條數',
            tail: '日誌顯示行數',
            scanTime: '耗時',
            infectedFiles: '感染文件數',
            log: '詳情',
            clamConf: '掃描配置',
            clamLog: '掃描日誌',
            freshClam: '病毒庫更新配置',
            freshClamLog: '病毒庫更新日誌',
            alertHelper: '專業版支援定時掃描和簡訊告警功能',
            alertTitle: '病毒掃描「{0}」任務檢測到感染文件告警',
        },
    },
    logs: {
        panelLog: '面板日誌',
        operation: '操作日誌',
        login: '瀏覽日誌',
        loginIP: '登入 IP',
        loginAddress: '登入地址',
        loginAgent: '用戶代理',
        loginStatus: '登入狀態',
        system: '系統日誌',
        deleteLogs: '清空日誌',
        resource: '資源',
        operate: '操作',
        detail: {
            groups: '分組',
            hosts: '主機',
            apps: '應用',
            websites: '網站',
            containers: '容器',
            files: '文件管理',
            runtimes: '執行環境',
            process: '行程管理',
            toolbox: '工具箱',
            logs: '日誌審計',
            settings: '面板設定',
            cronjobs: '計劃任務',
            databases: '資料庫',
        },
        websiteLog: '網站日誌',
        runLog: '執行日誌',
        errLog: '錯誤日誌',
    },
    file: {
        dir: '資料夾',
        upload: '上傳',
        download: '下載',
        uploadFile: '@:file.upload@:file.file',
        uploadDirectory: '@:file.upload@:file.dir',
        fileName: '文件名',
        search: '在目前目錄下查找',
        mode: '權限',
        editPermissions: '編輯@:file.mode',
        owner: '所有者',
        file: '文件',
        remoteFile: '遠端下載',
        share: '分享',
        sync: '資料同步',
        size: '大小',
        updateTime: '修改時間',
        open: '打開',
        rename: '重新命名',
        role: '權限',
        info: '屬性',
        linkFile: '軟連接文件',
        terminal: '終端',
        batchoperation: '批次操作',
        shareList: '分享列表',
        zip: '壓縮',
        group: '用戶組',
        path: '路徑',
        public: '公共',
        setRole: '設定權限',
        link: '是否連結',
        rRole: '讀取',
        wRole: '寫入',
        xRole: '可執行',
        compress: '壓縮',
        deCompress: '解壓',
        compressType: '壓縮格式',
        compressDst: '壓縮路徑',
        replace: '覆蓋已存在的文件',
        compressSuccess: '壓縮成功',
        deCompressSuccess: '解壓成功',
        deCompressDst: '解壓路徑',
        linkType: '連結類型',
        softLink: '軟連結',
        hardLink: '硬連結',
        linkPath: '連結路徑',
        selectFile: '選擇文件',
        downloadSuccess: '下載成功',
        downloadUrl: '下載地址',
        downloadStart: '下載開始!',
        moveSuccess: '移動成功',
        copySuccess: '複製成功',
        move: '移動',
        copy: '複製',
        calculate: '計算',
        canNotDeCompress: '無法解壓此文件',
        uploadSuccess: '上傳成功!',
        downloadProcess: '下載進度',
        downloading: '正在下載...',
        infoDetail: '文件屬性',
        root: '根目錄',
        list: '文件列表',
        sub: '子目錄',
        theme: '主題',
        language: '語言',
        eol: '行尾符',
        copyDir: '複製路徑',
        paste: '貼上',
        cancel: '取消',
        changeOwner: '修改用戶和用戶組',
        containSub: '同時修改子文件屬性',
        ownerHelper: 'PHP 執行環境預設用戶:用戶組為 1000:1000, 容器內外用戶顯示不一致為正常現象',
        searchHelper: '支援 * 等萬用字元',
        uploadFailed: '【{0}】 文件上傳失敗',
        fileUploadStart: '正在上傳【{0}】....',
        currentSelect: '目前選中: ',
        unsupportedType: '不支援的文件類型',
        deleteHelper: '確定刪除所選檔案？ 預設刪除之後將進入回收站？',
        fileHelper: '注意：1. 搜尋結果不支援排序功能 2. 資料夾無法依大小排序。',
        forceDeleteHelper: '永久刪除檔案（不進入回收站，直接刪除）',
        recycleBin: '回收站',
        sourcePath: '原路徑',
        deleteTime: '刪除時間',
        confirmReduce: '確定還原以下文件？',
        reduceSuccess: '還原成功',
        reduce: '還原',
        reduceHelper: '如果原路徑存在同名檔案或目錄，將會被覆蓋，是否繼續？',
        clearRecycleBin: '清空回收站',
        clearRecycleBinHelper: '是否清空回收站？',
        favorite: '收藏夾',
        removeFavorite: '是否從收藏夾移出？',
        addFavorite: '加入收藏夾',
        clearList: '清空列表',
        deleteRecycleHelper: '確定永久刪除以下文件？',
        typeErrOrEmpty: '【{0}】 檔案類型錯誤或為空資料夾',
        dropHelper: '將需要上傳的文件拖曳到此處',
        fileRecycleBin: '檔案回收站',
        fileRecycleBinMsg: '已{0}回收站',
        wordWrap: '自動換行',
        deleteHelper2: '確定刪除所選檔案？ 刪除操作不可回滾',
        ignoreCertificate: '忽略不可信證書',
        ignoreCertificateHelper:
            '下載時忽略不可信證書可能導致資料洩露或篡改。請謹慎使用此選項，僅在信任下載源的情況下啟用',
        uploadOverLimit: '文件數量超過 1000！ 請壓縮後上傳',
        clashDitNotSupport: '檔名禁止包含 .1panel_clash',
        clashDeleteAlert: '回收站資料夾不能刪除',
        clashOpenAlert: '回收站目錄請點選【回收站】按鈕開啟',
        right: '前進',
        back: '後退',
        top: '返回上一層',
        refresh: '重新整理',
        up: '上一層',
        openWithVscode: 'VS Code 打開',
        vscodeHelper: '請確保本機已安裝 VS Code 並配置了 SSH Remote 插件',
        saveContentAndClose: '檔案已被修改，是否儲存並關閉？',
        saveAndOpenNewFile: '檔案已被修改，是否儲存並打開新檔案？',
        noEdit: '檔案未修改，無需此操作！',
        noNameFolder: '未命名資料夾',
        noNameFile: '未命名檔案',
        minimap: '縮略圖',
        fileCanNotRead: '此文件不支援預覽',
        panelInstallDir: '1Panel 安裝目錄不能刪除',
    },
    ssh: {
        setting: '設定',
        autoStart: '開機自啟',
        enable: '設定開機自啟',
        disable: '關閉開機自啟',
        sshAlert: '列表資料根據登入時間排序，但請注意，切換時區或其他操作可能導致登入日誌的時間出現偏差。',
        sshAlert2: '您可以透過工具箱中的 Fail2ban 封鎖嘗試暴力破解的 IP 地址，從而提高主機的安全性。',
        sshOperate: '對 SSH 服務進行 [{0}] 操作，是否繼續？',
        sshChange: 'SSH 配置修改',
        sshChangeHelper: '此操作將 {0} 修改為 [{1}] ，是否繼續？',
        sshFileChangeHelper: '直接修改配置文件可能會導致服務不可用，請謹慎操作，是否繼續？',
        port: '連接埠',
        portHelper: '指定 SSH 服務監聽的埠號，預設為 22。',
        listenAddress: '監聽地址',
        allV4V6: '0.0.0.0:{0}(IPv4)和 :::{0}(IPv6)',
        listenHelper: '同時取消 IPv4 和 IPv6 設定，將會同時監聽 0.0.0.0:{0}(IPv4) 和 :::{0}(IPv6)',
        addressHelper: '指定 SSH 服務監聽的 IP 地址',
        permitRootLogin: 'root 用戶',
        rootSettingHelper: 'root 用戶 SSH 登入方式，預設所有 SSH 登入。',
        rootHelper1: '允許 SSH 登入',
        rootHelper2: '禁止 SSH 登入',
        rootHelper3: '僅允許密鑰登入',
        rootHelper4: '僅允許執行預先定義的命令，不能進行其他操作',
        passwordAuthentication: '密碼認證',
        pwdAuthHelper: '是否啟用密碼認證，預設啟用。',
        pubkeyAuthentication: '密鑰認證',
        key: '密鑰',
        password: '密碼',
        pubkey: '密鑰資訊',
        encryptionMode: '加密方式',
        passwordHelper: '支援大小寫英文、數字,長度6-10',
        generate: '生成密鑰',
        reGenerate: '重新生成密鑰',
        keyAuthHelper: '是否啟用密鑰認證，預設啟用。',
        useDNS: '反向解析',
        dnsHelper: '控制 SSH 伺服器是否啟用 DNS 解析功能，從而驗證連接方的身份。',
        analysis: '統計資訊',
        denyHelper: '將對下列地址進行【封鎖】操作，設定後該 IP 將禁止瀏覽伺服器，是否繼續？',
        acceptHelper: '將對下列地址進行【放行】操作，設定後該 IP 將復原正常瀏覽，是否繼續？',
        noAddrWarning: '目前未選中任何可【{0}】地址，請檢查後重試！',
        successful: '成功',
        failed: '失敗',
        loginLogs: 'SSH 登入日誌',
        loginMode: '登入方式',
        authenticating: '密鑰',
        publickey: '密鑰',
        belong: '歸屬地',
        local: '內網',
        remote: '外網',
        config: '配置',
        session: '會話',
        loginTime: '登入時間',
        loginIP: '登入IP',
        disconnect: '斷開',
        stopSSHWarn: '是否斷開此SSH連接',
    },
    setting: {
        all: '全部',
        panel: '面板',
        user: '面板用戶',
        userChange: '修改面板用戶',
        userChangeHelper: '修改面板用戶將退出登入，是否繼續？',
        passwd: '面板密碼',
        emailHelper: '用於密碼找回',
        title: '面板別名',
        panelPort: '面板埠',
        titleHelper: '支援長度 3 至 30 的英文字母、中文、數字、空格和常見的特殊符號。',
        portHelper: '建議埠範圍8888 - 65535，注意：有安全組的伺服器請提前在安全組放行新埠',
        portChange: '埠修改',
        portChangeHelper: '服務埠修改需要重啟服務，是否繼續？',
        theme: '主題顏色',
        menuTabs: '選單標籤頁',
        componentSize: '組件大小',
        dark: '暗色',
        darkGold: '黑金',
        light: '亮色',
        auto: '跟隨系統',
        language: '系統語言',
        languageHelper: '預設跟隨瀏覽器語言，設定後只對目前瀏覽器生效，更換瀏覽器後需要重新設定',
        sessionTimeout: '超時時間',
        sessionTimeoutError: '最小超時時間為 300 秒',
        sessionTimeoutHelper: '如果用戶超過 {0} 秒未操作面板，面板將自動退出登入',
        systemIP: '伺服器地址',
        proxy: '代理伺服器',
        proxyHelper: '設定代理伺服器後，將在以下場景中生效：',
        proxyHelper1: '應用商店的安裝包下載和同步（專業版功能）',
        proxyHelper2: '系統版本升級及獲取更新說明（專業版功能）',
        proxyHelper4: 'Docker 的網路瀏覽將透過代理伺服器進行（專業版功能）',
        proxyHelper3: '系統許可證的驗證和同步',
        proxyType: '代理類型',
        proxyUrl: '代理地址',
        proxyPort: '代理埠',
        proxyPasswdKeep: '記住密碼',
        proxyDocker: 'Docker 代理',
        proxyDockerHelper: '將代理伺服器配寘同步至 Docker，支援離線伺服器拉取鏡像等操作',
        apiInterface: 'API 介面',
        apiInterfaceClose: '關閉後將不能使用 API 介面進行瀏覽，是否繼續？',
        apiInterfaceHelper: '提供面板支援 API 介面瀏覽',
        apiInterfaceAlert1: '請不要在生產環境開啟，這可能新增伺服器安全風險',
        apiInterfaceAlert2: '請不要使用協力廠商應用呼叫面板 API，以防止潛在的安全威脅。',
        apiInterfaceAlert3: 'API 介面檔案',
        apiInterfaceAlert4: '使用檔案',
        apiKey: '介面密鑰',
        apiKeyHelper: '介面密鑰用於外部應用瀏覽 API 介面',
        ipWhiteList: 'IP白名單',
        ipWhiteListEgs: '當存在多個 IP 時，需要換行顯示，例：\n172.16.10.111 \n172.16.10.0/24',
        ipWhiteListHelper: '必需在 IP 白名單清單中的 IP 才能瀏覽面板 API 介面',
        apiKeyValidityTime: '介面金鑰有效期',
        apiKeyValidityTimeEgs: '介面金鑰有效期（組織分）',
        apiKeyValidityTimeHelper: '介面時間戳記到請求時的當前時間戳之間有效（組織分），設定為0時，不做時間戳記校驗',
        apiKeyReset: '介面密鑰重設',
        apiKeyResetHelper: '重設密鑰後，已關聯密鑰服務將失效，請重新新增新密鑰至服務。',
        confDockerProxy: '配寘 Docker 代理',
        restartNowHelper: '配寘 Docker 代理需要重啟 Docker 服務。',
        restartNow: '立即重啟',
        systemIPWarning: '目前未設定伺服器地址，請先在面板設定中設定！',
        systemIPWarning1: '目前伺服器地址設定為 {0}，無法快速跳轉！',
        defaultNetwork: '預設網卡',
        changePassword: '密碼修改',
        oldPassword: '原密碼',
        newPassword: '新密碼',
        retryPassword: '確認密碼',
        noSpace: '輸入訊息不能包括空格符號',
        duplicatePassword: '新密碼不能與原始密碼一致，請重新輸入！',
        diskClean: '快取清理',
        developerMode: '預覽體驗計劃',
        developerModeHelper: '獲取 1Panel 的預覽版本，以分享有關新功能和更新的反饋',

        thirdParty: '第三方帳號',
        addBackupAccount: '新增 {0}',
        noTypeForCreate: '目前無可建立備份類型',
        LOCAL: '伺服器磁碟',
        OSS: '阿里雲 OSS',
        S3: '亞馬遜 S3 雲儲存',
        mode: '模式',
        MINIO: 'MINIO',
        SFTP: 'SFTP',
        WebDAV: 'WebDAV',
        WebDAVAlist: 'WebDAV 連接 Alist 可參考官方文件',
        OneDrive: '微軟 OneDrive',
        isCN: '世紀互聯',
        isNotCN: '國際版',
        client_id: '客戶端 ID',
        client_secret: '客戶端密鑰',
        redirect_uri: '重定向 URL',
        onedrive_helper: '自訂配置可參考官方文件',
        refreshTime: '令牌更新時間',
        refreshStatus: '令牌更新狀態',
        codeWarning: '目前授權碼格式錯誤，請重新確認！',
        backupDir: '備份目錄',
        code: '授權碼',
        codeHelper:
            '請點擊獲取按鈕，然後登入 OneDrive 複製跳轉連結中 code 後面的內容，貼上到該輸入框中，具體操作可參考官方文件。',
        loadCode: '獲取',
        COS: '騰訊雲 COS',
        ap_beijing_1: '北京一區',
        ap_beijing: '北京',
        ap_nanjing: '南京',
        ap_shanghai: '上海',
        ap_guangzhou: '廣州',
        ap_chengdu: '成都',
        ap_chongqing: '重慶',
        ap_shenzhen_fsi: '深圳金融',
        ap_shanghai_fsi: '上海金融',
        ap_beijing_fsi: '北京金融',
        ap_hongkong: '中國香港',
        ap_singapore: '新加坡',
        ap_mumbai: '孟買',
        ap_jakarta: '雅加達',
        ap_seoul: '首爾',
        ap_bangkok: '曼谷',
        ap_tokyo: '東京',
        na_siliconvalley: '矽谷（美西）',
        na_ashburn: '維吉尼亞（美東）',
        na_toronto: '多倫多',
        sa_saopaulo: '聖保羅',
        eu_frankfurt: '法蘭克福',
        KODO: '七牛雲 Kodo',
        scType: '儲存類型',
        typeStandard: '標準儲存',
        typeStandard_IA: '低頻儲存',
        typeArchive: '歸檔儲存',
        typeDeep_Archive: '深度歸檔儲存',
        scStandard: '標準儲存，適用於實時瀏覽的大量熱點文件、頻繁的資料交互等業務場景。',
        scStandard_IA: '低頻儲存，適用於較低瀏覽頻率（例如平均每月瀏覽頻率1到2次）的業務場景，最少儲存30天。',
        scArchive: '歸檔儲存，適用於極低瀏覽頻率（例如半年瀏覽1次）的業務場景。',
        scDeep_Archive: '深度歸檔儲存，適用於極低瀏覽頻率（例如1年瀏覽1~2次）的業務場景。',
        archiveHelper: '歸檔儲存的文件無法直接下載，需要先在對應的雲服務商網站進行復原操作，請謹慎使用！',
        backupAlert: '理論上只要雲廠商相容 S3 協議，就可以用現有的亞馬遜 S3 雲儲存來備份，具體配置參考 ',
        domain: '加速域名',
        backupAccount: '備份帳號',
        loadBucket: '獲取桶',
        accountName: '帳戶名稱',
        accountKey: '帳戶密鑰',
        address: '地址',
        path: '路徑',
        backupJump: '未在目前備份列表中的備份檔案，請嘗試從檔案目錄中下載後匯入備份。',

        snapshot: '快照',
        deleteHelper: '將刪除該快照的所有備份文件，包括第三方備份帳號中的文件。',
        status: '快照狀態',
        ignoreRule: '排除規則',
        editIgnoreRule: '@:commons.button.edit@:setting.ignoreRule',
        ignoreHelper: '快照時將使用該規則對 1Panel 資料目錄進行壓縮備份，預設忽略套接字檔案。',
        ignoreHelper1: '一行一個，例： \n*.log\n/opt/1panel/cache',
        panelInfo: '寫入 1Panel 基礎資訊',
        panelBin: '備份 1Panel 系統文件',
        daemonJson: '備份 Docker 配置文件',
        appData: '備份 1Panel 已安裝應用',
        panelData: '備份 1Panel 資料目錄',
        backupData: '備份 1Panel 本機備份目錄',
        compress: '製作快照文件',
        upload: '上傳快照文件',
        recoverDetail: '復原詳情',
        createSnapshot: '建立快照',
        importSnapshot: '同步快照',
        importHelper: '快照文件目錄：',
        recover: '復原',
        lastRecoverAt: '上次復原時間',
        lastRollbackAt: '上次回滾時間',
        reDownload: '重新下載備份文件',
        statusSuccess: '成功',
        statusFailed: '失敗',
        recoverErrArch: '不支援在不同伺服器架構之間進行快照復原操作!',
        recoverErrSize: '檢測到目前磁碟空間不足，請檢查或清理後重試!',
        recoverHelper: '即將從快照 {0} 開始復原，復原前請確認以下資訊：',
        recoverHelper1: '復原需要重新啟動 Docker 以及 1Panel 服務',
        recoverHelper2: '請確保伺服器磁碟空間充足 ( 快照檔案大小: {0}, 可用空間: {1} )',
        recoverHelper3: '請確保伺服器架構與建立快照伺服器架構資訊保持一致 (目前伺服器架構: {0} )',
        rollback: '回滾',
        rollbackHelper:
            '即將回滾本次復原，回滾將取代所有本次復原的檔案，過程中可能需要重新啟動 Docker 以及 1Panel 服務，是否繼續？',

        upgrading: '正在升級中，請稍候...',
        upgradeHelper: '升級操作需要重啟 1Panel 服務，是否繼續？',
        noUpgrade: '目前已經是最新版本',
        upgradeNotes: '更新內容',
        upgradeNow: '立即更新',
        source: '下載源',

        safe: '安全',
        bindInfo: '監聽地址',
        bindAll: '監聽所有',
        bindInfoHelper: '修改服務監聽地址或協議可能導致服務不可用，是否繼續？',
        ipv6: '監聽 IPv6',
        bindAddress: '監聽地址',
        entrance: '安全入口',
        showEntrance: '啟用概覽頁未開啟提醒',
        entranceHelper: '開啟安全入口後只能透過指定安全入口登入面板',
        entranceError: '請輸入 5-116 位安全登入入口，僅支援輸入數字或字母',
        entranceInputHelper: '安全入口設定為空時，則取消安全入口',
        randomGenerate: '隨機生成',
        expirationTime: '密碼過期時間',
        unSetting: '未設定',
        noneSetting: '為面板密碼設定過期時間，過期後需要重新設定密碼',
        expirationHelper: '密碼過期時間為 [0] 天時，則關閉密碼過期功能',
        days: '過期天數',
        expiredHelper: '目前密碼已過期，請重新修改密碼：',
        timeoutHelper: '【 {0} 天後 】面板密碼即將過期，過期後需要重新設定密碼',
        complexity: '密碼複雜度驗證',
        complexityHelper: '開啟後密碼必須滿足長度為 8-30 位，並包含字母、數字、至少兩種特殊字元',
        bindDomain: '域名綁定',
        unBindDomain: '域名解綁',
        panelSSL: '面板 SSL',
        unBindDomainHelper: '解除域名綁定可能造成系統不安全，是否繼續？',
        bindDomainHelper: '設定域名綁定後，僅能透過設定中域名瀏覽 1Panel 服務',
        bindDomainHelper1: '綁定域名為空時，則取消域名綁定',
        bindDomainWarning: '設定域名綁定後，將退出目前登入，且僅能透過設定中域名瀏覽 1Panel 服務，是否繼續？',
        allowIPs: '授權 IP',
        unAllowIPs: '取消授權',
        unAllowIPsWarning: '授權 IP 為空將允許所有 IP 瀏覽系統，可能造成系統不安全，是否繼續？',
        allowIPsHelper: '設定授權 IP 後，僅有設定中的 IP 可以瀏覽 1Panel 服務',
        allowIPsWarning: '設定授權 IP 後，僅有設定中的 IP 可以瀏覽 1Panel 服務，是否繼續？',
        allowIPsHelper1: '授權 IP 為空時，則取消授權 IP',
        allowIPEgs: '當存在多個授權 IP 時，需要換行顯示，例： \n172.16.10.111 \n172.16.10.0/24',
        mfa: '兩步驗證',
        mfaClose: '關閉兩步驗證將導致服務安全性降低，是否繼續？',
        secret: '密鑰',
        mfaAlert: '兩步驗證密碼是基於目前時間生成，請確保伺服器時間已同步',
        mfaHelper: '開啟後會驗證手機應用驗證碼',
        mfaHelper1: '下載兩步驗證手機應用 如:',
        mfaHelper2: '使用手機應用掃描以下二維碼，獲取 6 位驗證碼',
        mfaHelper3: '輸入手機應用上的 6 位數字',
        mfaCode: '驗證碼',
        mfaInterval: '更新時間（秒）',
        mfaTitleHelper: '用於區分不同 1Panel 主機，修改後請重新掃描或手動新增密鑰資訊！',
        mfaIntervalHelper: '修改更新時間後，請重新掃描或手動新增密鑰資訊！',
        sslChangeHelper: 'https 設定修改需要重啟服務，是否繼續？',
        sslDisable: '停用',
        sslDisableHelper: '停用 https 服務，需要重啟面板才能生效，是否繼續？',
        noAuthSetting: '未認證設定',
        noAuthSettingHelper: '當用戶未登入且未正確輸入安全入口、授權 IP 或綁定域名時，此回應可以隱藏面板特徵。',
        responseSetting: '響應設定',
        help200: '幫助頁面',
        error400: '錯誤請求',
        error401: '未授權',
        error403: '禁止瀏覽',
        error404: '未找到',
        error408: '請求超時',
        error416: '無效請求',
        error444: '關閉連線',
        error500: '伺服器錯誤',

        https: '為面板設定 https 協議瀏覽，提升面板瀏覽安全性',
        certType: '證書類型',
        selfSigned: '自簽名',
        selfSignedHelper: '自簽證書，不被瀏覽器信任，顯示不安全是正常現象',
        select: '選擇已有',
        domainOrIP: '域名或 IP：',
        timeOut: '過期時間：',
        rootCrtDownload: '根證書下載',
        primaryKey: '密鑰',
        certificate: '證書',

        about: '關於',
        project: '項目地址',
        issue: '問題反饋',
        doc: '官方文件',
        star: '點亮 Star',
        description: 'Linux 伺服器運維管理面板',
        forum: '論壇求助',
        doc2: '使用手冊',
        currentVersion: '目前執行版本：',

        license: '許可證',
        advancedMenuHide: '高級功能選單隱藏',
        showMainAdvancedMenu: '如果只保留 1 個選單，則側邊欄只會顯示高級功能主選單',
        showAll: '全部顯示',
        hideALL: '全部隱藏',
        ifShow: '是否顯示',
        menu: '選單',
        confirmMessage: '即將重新整理頁面更新高級功能選單列表，是否繼續？',
        compressPassword: '壓縮密碼',
        backupRecoverMessage: '請輸入壓縮或解壓縮密碼（留空則不設定）',
    },
    license: {
        community: '社區版',
        oss: '社區版',
        pro: '專業版',
        trial: '試用',
        subscription: '訂閱',
        perpetual: '永久授權',
        versionConstraint: '{0} 版本買斷',
        office: '正式版',
        trialInfo: '版本',
        authorizationId: '訂閱授權 ID',
        authorizedUser: '被授權方',
        expiresAt: '到期時間',
        productName: '產品名稱',
        productStatus: '產品狀態',
        Lost: '已失聯',
        Enable: '已啟用',
        Disable: '未啟用',
        lostHelper: '許可證已達到最大重試次數，請手動點擊同步按鈕，以確保專業版功能正常使用。',
        disableHelper: '許可證同步驗證失敗，請手動點擊同步按鈕，以確保專業版功能正常使用。',
        quickUpdate: '快速更新',
        import: '匯入',
        power: '授 權',
        unbind: '解綁',
        unbindHelper: '解除綁定後將清除所有專業版相關設定，是否繼續？',
        importLicense: '匯入許可證',
        importHelper: '請點擊或拖動許可文件到此處',
        technicalAdvice: '技術諮詢',
        advice: '諮詢',
        indefinitePeriod: '無限期',
        levelUpPro: '升級專業版',
        licenseSync: '許可證同步',
        knowMorePro: '了解更多',
        closeAlert: '目前頁面可在面板設定中關閉顯示',
        introduce: '功能介紹',
        waf: '升級專業版可以獲得攔截地圖、日誌、封鎖記錄、地理位置封禁、自訂規則、自訂攔截頁面等功能。',
        tamper: '升級專業版可以保護網站免受未經授權的修改或篡改。',
        gpu: '升級專業版可以幫助用戶實時直觀查看到 GPU 的工作負載、溫度、顯存等重要參數。',
        setting: '升級專業版可以自訂面板 Logo、歡迎簡介等資訊。',
        monitor: '升級專業版可以查看網站的即時狀態、訪客趨勢、訪客來源、請求日誌等資訊。 ',
        alert: '升級專業版可透過簡訊接收告警資訊，並查看告警日誌，全面掌控各類關鍵事件，確保系統執行無憂。',
    },
    clean: {
        scan: '開始掃描',
        scanHelper: '輕鬆梳理 1Panel 執行期間積累的垃圾文件',
        clean: '立即清理',
        reScan: '重新掃描',
        cleanHelper: '已勾選文件及目錄清理後無法回滾（系統快取文件清理需要重啟服務），是否繼續？',
        statusSuggest: '( 建議清理 )',
        statusClean: '( 很乾淨 )',
        statusEmpty: '非常乾淨，無需清理！',
        statusWarning: '( 謹慎操作 )',
        lastCleanTime: '上次清理時間: {0}',
        lastCleanHelper: '清理文件及目錄：{0} 個， 總計清理：{1}',
        cleanSuccessful: '清理成功！',
        currentCleanHelper: '本次清理文件及目錄：{0} 個， 總計清理：{1}',
        suggest: '( 建議清理 )',
        totalScan: '待清理垃圾文件共計： ',
        selectScan: '已選中垃圾文件共計： ',

        system: '系統垃圾',
        systemHelper: '快照、升級等過程中產生的臨時文件以及版本疊代過程中廢棄的文件內容',
        panelOriginal: '系統快照復原前備份文件',
        upgrade: '系統升級備份文件',
        upgradeHelper: '( 建議保留最新的升級備份用於系統回滾 )',
        cache: '系統快取文件',
        cacheHelper: '( 謹慎操作，清理需要重啟服務 )',
        snapshotTmp: '系統快照上傳臨時文件',
        snapshotLocal: '系統快照製作臨時文件',
        rollback: '復原前備份目錄',
        unused: '系統廢棄目錄',
        oldUpgrade: '廢棄升級前備份目錄',
        oldOriginal: '廢棄快照復原前備份目錄',
        oldAppsBak: '廢棄應用備份目錄',

        upload: '臨時上傳文件',
        uploadHelper: '系統上傳備份列表中上傳的臨時文件',
        download: '臨時下載文件',
        downloadHelper: '系統從第三方備份帳號下載的臨時文件',
        website: '網站',
        app: '應用',
        database: '資料庫',
        directory: '資料夾',

        systemLog: '系統日誌文件',
        systemLogHelper: '系統日誌資訊、容器構建或鏡像拉取等日誌資訊以及計劃任務中產生的日誌文件',
        dockerLog: '容器操作日誌文件',
        taskLog: '計劃任務執行日誌文件',
        containerShell: '容器內執行 Shell 腳本計劃任務',

        containerTrash: '容器垃圾',
        images: '鏡像',
        containers: '容器',
        volumes: '儲存卷',
        buildCache: '容器建置快取',
    },
    app: {
        app: '應用',
        installName: '安裝名稱',
        installed: '已安裝',
        all: '全部',
        version: '版本',
        detail: '詳情',
        params: '參數',
        install: '安裝',
        author: '作者',
        source: '來源',
        sync: '同步',
        appName: '應用名稱',
        status: '狀態',
        container: '容器',
        restart: '重啟',
        start: '啟動',
        stop: '停止',
        rebuild: '重建',
        description: '描述',
        deleteWarn: '刪除操作會把所有資料和備份一併刪除，此操作不可回滾，是否繼續？',
        syncSuccess: '同步成功',
        canUpgrade: '可升級',
        backupName: '文件名稱',
        backupPath: '文件路徑',
        backupdate: '備份時間',
        update: '更新',
        versionSelect: '請選擇版本',
        operatorHelper: '將對選中應用進行 {0} 操作，是否繼續？',
        startOperatorHelper: '將對選中應用進行 啟動 操作，是否繼續？',
        stopOperatorHelper: '將對選中應用進行 停止 操作，是否繼續？',
        restartOperatorHelper: '將對選中應用進行 重啟 操作，是否繼續？',
        reloadOperatorHelper: '將對選中應用進行 重載 操作，是否繼續？',
        checkInstalledWarn: '未檢測到 {0} ,請進入應用商店點擊安裝！',
        gotoInstalled: '去安裝',
        search: '搜尋',
        limitHelper: '該應用已安裝，不支援重複安裝',
        deleteHelper: '{0}已經關聯以下資源，請檢查後重試！',
        checkTitle: '提示',
        website: '網站',
        database: '資料庫',
        defaultConfig: '預設配置',
        defaultConfigHelper: '已復原為預設配置，儲存後生效',
        forceDelete: '強制刪除',
        forceDeleteHelper: '強制刪除，會忽略刪除過程中產生的錯誤並最終刪除中繼資料',
        deleteBackup: '刪除備份',
        deleteBackupHelper: '同時刪除應用備份',
        deleteDB: '刪除資料庫',
        deleteDBHelper: '同時刪除與應用關聯的資料庫',
        noService: '無{0}',
        toInstall: '去安裝',
        param: '參數配置',
        syncAppList: '更新應用列表',
        alreadyRun: '已安裝',
        less1Minute: '小於1分鐘',
        appOfficeWebsite: '官方網站',
        github: '開源社區',
        document: '文件說明',
        updatePrompt: '目前應用均為最新版本',
        installPrompt: '尚未安裝任何應用',
        updateHelper: '更新參數可能導致應用無法啟動，請提前備份並謹慎操作',
        updateWarn: '更新參數需要重建應用，是否繼續？',
        busPort: '服務埠',
        syncStart: '開始同步！請稍後重新整理應用商店',
        advanced: '高級設定',
        cpuCore: '核心數',
        containerName: '容器名稱',
        containerNameHelper: '可以為空，為空自動生成',
        allowPort: '埠外部瀏覽',
        allowPortHelper: '允許埠外部瀏覽會放開防火牆埠',
        appInstallWarn: '應用埠預設不允許外部瀏覽，可以在下方高級設定中選擇放開',
        upgradeStart: '開始升級！請稍後重新整理頁面',
        toFolder: '進入安裝目錄',
        editCompose: '編輯 compose 文件',
        editComposeHelper: '編輯 compose 文件可能導致軟體安裝失敗',
        composeNullErr: 'compose 不能為空',
        takeDown: '已廢棄',
        allReadyInstalled: '已安裝',
        installHelper: '配置鏡像加速可以解決鏡像拉取失敗的問題',
        upgradeHelper: '異常應用程式需要先同步到正常狀態，升級失敗請在日誌審計-系統日誌中查看失敗原因',
        installWarn: '目前未勾選埠外部瀏覽，將無法透過外網IP:埠瀏覽，是否繼續？ ',
        showIgnore: '查看忽略應用',
        cancelIgnore: '取消忽略',
        ignoreList: '忽略列表',
        appHelper: '部分應用的安裝使用說明請在應用詳情頁查看',
        backupApp: '升級前備份應用',
        backupAppHelper: '升級失敗會使用備份自動回滾，請在日誌審計-系統日誌中查看失敗原因，備份預設保留最新的3份',
        delete: '刪除',
        openrestyDeleteHelper: '強制刪除 OpenResty 會刪除所有的網站，請確認風險後操作',
        downloadLogHelper1: '即將下載 {0} 套用所有日誌，是否繼續？ ',
        downloadLogHelper2: '即將下載 {0} 應用最近 {1} 條日誌，是否繼續？ ',
        syncAllAppHelper: '即將同步所有應用，是否繼續？ ',
        hostModeHelper: '目前應用網路模式為 host 模式，如需放開埠，請在防火牆頁面手動放開',
        showLocal: '顯示本機應用程式',
        reload: '重載',
        upgradeWarn: '升級應用程式會取代 docker-compose.yml 文件，如有更改，可以點擊查看文件對比',
        newVersion: '新版本',
        oldVersion: '目前版本',
        composeDiff: '文件對比',
        showDiff: '看對比',
        useNew: '使用自訂版本',
        useDefault: '使用預設版本',
        useCustom: '自訂 docker-compose.yml',
        useCustomHelper: '使用自訂 docker-compose.yml 文件，可能會導致應用程式升級失敗，如無必要，請勿勾選',
        diffHelper: '左側為舊版本，右側為新版，編輯之後點選使用自訂版本儲存',
        pullImage: '拉取鏡像',
        pullImageHelper: '在應用啟動之前執行 docker pull 來拉取鏡像',
    },
    website: {
        website: '網站',
        primaryDomain: '主域名',
        otherDomains: '其他域名',
        static: '靜態網站',
        deployment: '一鍵部署',
        supportUpType: '僅支援 .tar.gz 文件',
        zipFormat: '.tar.gz 壓縮包結構：test.tar.gz 壓縮包內，必需包含 {0} 文件',
        proxy: '反向代理',
        alias: '代號',
        ftpUser: 'FTP 帳號',
        ftpPassword: 'FTP 密碼',
        ftpHelper: '建立站點的同時，為站點建立一個對應 FTP 帳戶，並且 FTP 目錄指向站點所在目錄。',
        remark: '備註',
        group: '分組',
        manageGroup: '@:website.group',
        groupSetting: '分組管理',
        createGroup: '建立分組',
        app: '應用',
        appNew: '新裝應用',
        appInstalled: '已裝應用',
        create: '建立',
        delete: '刪除網站',
        deleteApp: '刪除應用',
        deleteBackup: '刪除備份',
        domain: '域名',
        domainHelper: '一行一個域名，支援*和IP地址，支援域名:埠',
        addDomain: '新增域名',
        domainConfig: '域名設定',
        defaultDoc: '預設文件',
        perserver: '並發限制',
        perserverHelper: '限制目前站點最大並發數',
        perip: '單IP限制',
        peripHelper: '限制單個IP瀏覽最大並發數',
        rate: '流量限制',
        rateHelper: '限制每個請求的流量上(單位:KB)',
        limitHelper: '啟用流量控制',
        other: '其他',
        currentSSL: '目前證書',
        dnsAccount: 'DNS帳號',
        applySSL: '證書申請',
        SSLList: '證書列表',
        createDnsAccount: 'DNS帳戶',
        aliyun: '阿里雲',
        volcengine: '火山引擎',
        manual: '手動解析',
        key: '密鑰',
        check: '查看',
        acmeAccountManage: 'Acme 帳戶',
        email: '信箱',
        acmeAccount: 'Acme 帳戶',
        provider: '驗證方式',
        dnsManual: '手動解析',
        expireDate: '過期時間',
        brand: '組織',
        deploySSL: '部署',
        deploySSLHelper: '確定部署證書？',
        ssl: '證書',
        dnsAccountManage: 'DNS 帳戶',
        renewSSL: '續簽',
        renewHelper: '確定續簽證書？',
        renewSuccess: '續簽證書',
        config: '配置',
        enableHTTPS: '啟用 HTTPS',
        aliasHelper: '代號是網站目錄的資料夾名稱',
        lastBackupAt: '上次備份時間',
        null: '無',
        nginxConfig: 'Nginx配置',
        websiteConfig: '網站設定',
        basic: '基本',
        source: '配置文件',
        security: '安全',
        log: '日誌',
        nginxPer: '性能調整',
        neverExpire: '永不過期',
        setDefault: '設為預設',
        default: '預設',
        deleteHelper: '相關應用狀態不正常，請檢查',
        toApp: '去已安裝列表',
        cycle: '週期',
        frequency: '頻率',
        ccHelper: '{0} 秒內累計請求同一URL超過 {1} 次，觸發CC防禦，封鎖此IP',
        mustSave: '修改之後需要儲存才能生效',
        fileExt: '文件副檔名',
        fileExtBlock: '文件副檔名黑名單',
        value: '值',
        enable: '開啟',
        proxyAddress: '代理地址',
        proxyHelper: '例: 127.0.0.1:8080',
        forceDelete: '強制刪除',
        forceDeleteHelper: '強制刪除，會忽略刪除過程中產生的錯誤並最終刪除中繼資料',
        deleteAppHelper: '同時刪除關聯應用、資料庫以及應用備份',
        deleteBackupHelper: '同時刪除網站備份',
        deleteConfirmHelper: '刪除操作無法回滾，請輸入 <span style="color:red"> "{0}" </span> 刪除',
        staticPath: '對應主目錄:',
        limit: '限制方案',
        blog: '論壇/部落格',
        imageSite: '圖片站',
        downloadSite: '下載站',
        shopSite: '商城',
        doorSite: '門戶',
        qiteSite: '企業',
        videoSite: '影片',
        errLog: '錯誤日誌',
        accessLog: '網站日誌',
        stopHelper: '停止站點後將無法正常瀏覽，用戶瀏覽會顯示目前站點停止頁面，是否繼續操作？',
        startHelper: '啟用站點後，用戶可以正常瀏覽網站內容，是否繼續操作？',
        sitePath: '網站目錄',
        siteAlias: '網站代號',
        primaryPath: 'root 目錄',
        folderTitle: '網站主要包含以下資料夾',
        wafFolder: '防火牆規則',
        indexFolder: '網站root目錄',
        logFolder: '網站日誌',
        sslFolder: '網站證書',
        enableOrNot: '是否啟用',
        oldSSL: '選擇已有證書',
        manualSSL: '手動匯入證書',
        select: '選擇',
        selectSSL: '選擇證書',
        privateKey: '私鑰(KEY)',
        certificate: '證書(PEM格式)',
        HTTPConfig: 'HTTP 選項',
        HTTPSOnly: '禁止 HTTP',
        HTTPToHTTPS: '瀏覽HTTP自動跳轉到HTTPS',
        HTTPAlso: 'HTTP可直接瀏覽',
        sslConfig: 'SSL 選項',
        disableHTTPS: '停用 HTTPS',
        disableHTTPSHelper: '停用 HTTPS會刪除證書相關配置，是否繼續？',
        SSLHelper: '注意：請勿將SSL證書用於非法網站 \n 如開啟後無法使用HTTPS瀏覽，請檢查安全組是否正確放行443埠',
        SSLConfig: '證書設定',
        SSLProConfig: 'SSL 協議設定',
        supportProtocol: '支援的協議版本',
        encryptionAlgorithm: '加密算法',
        notSecurity: '（不安全）',
        encryptHelper:
            "Let's Encrypt 簽發證書有頻率限制，但足以滿足正常需求，過於頻繁操作會導致簽發失敗。具體限制請看 <a target=「_blank」 href='https://letsencrypt.org/zh-cn/docs/rate-limits/'>官方文件</a> ",
        ipValue: '值',
        ext: '文件副檔名',
        wafInputHelper: '按行輸入資料，一行一個',
        data: '資料',
        ever: '永久',
        nextYear: '一年後',
        noLog: '目前沒有日誌...',
        defaultServer: '預設站點',
        noDefaultServer: '未設定',
        defaultServerHelper: '設定預設站點後，所有未綁定的域名和IP都被定向到預設站點\n可有效防止惡意解析',
        websiteDeploymentHelper: '使用從 1Panel 部署的應用建立網站',
        websiteStatictHelper: '在主機上建立網站目錄',
        websiteProxyHelper:
            '代理已有服務，例如本機已安裝使用 8080 埠的 halo 服務，那麼代理地址為 http://127.0.0.1:8080',
        restoreHelper: '確認使用此備份復原？',
        wafValueHelper: '值',
        wafRemarkHelper: '描述',
        runtimeProxyHelper: '使用從 1Panel 建立的執行環境',
        runtime: '執行環境',
        deleteRuntimeHelper: '執行環境應用需要跟網站一併刪除，請謹慎處理',
        proxyType: '監聽網路類型',
        unix: 'Unix 網路',
        tcp: 'TCP/IP 網路',
        phpFPM: 'FPM 配置文件',
        phpConfig: 'PHP 配置文件',
        updateConfig: '配置修改',
        isOn: '開啟',
        isOff: '關閉',
        rewrite: '偽靜態',
        rewriteMode: '方案',
        current: '目前',
        rewriteHelper: '若設定偽靜態後，網站無法正常瀏覽，請嘗試設定回default',
        runDir: '執行目錄',
        runUserHelper:
            '透過 PHP 容器執行環境部署的網站，需要將 index 和子目錄下的所有檔案、資料夾擁有者和使用者群組設定為 1000，本機 PHP 環境需要參考本機 PHP-FPM 使用者和使用者群組設定',
        userGroup: '執行用戶/組',
        uGroup: '用戶組',
        proxyPath: '前端請求路徑',
        proxyPass: '後端代理地址',
        cache: '快取',
        cacheTime: '快取時間',
        enableCache: '開啟快取',
        proxyHost: '後端域名',
        disabled: '已停止',
        startProxy: '開啟反向代理',
        stopProxy: '關閉反向代理',
        sourceFile: '源文',
        proxyHelper1: '瀏覽這個目錄時將會把目標URL的內容返回並顯示',
        proxyPassHelper: '代理的站點，必須為可正常瀏覽的URL',
        proxyHostHelper: '將域名新增到請求頭傳遞到代理伺服器',
        replacementHelper: '最多可以新增5條取代內容，如果不需要取代請留空',
        modifier: '匹配規則',
        modifierHelper: '例：= 精確匹配，~ 正則匹配，^~ 匹配路徑開頭 等',
        replace: '文字取代',
        addReplace: '新增文字取代',
        replaced: '搜尋字串（不能為空）',
        replaceText: '取代為字串',
        replacedErr: '搜尋字串不能為空',
        replacedErr2: '搜尋字串不能重複',
        basicAuth: '密碼瀏覽',
        editBasicAuthHelper: '密碼為非對稱加密，無法回顯，編輯需要重新設定密碼',
        antiLeech: '防盜鏈',
        extends: '副檔名',
        browserCache: '瀏覽器快取',
        leechLog: '記錄防盜鏈日誌',
        accessDomain: '允許的域名',
        leechReturn: '響應資源',
        noneRef: '允許來源為空',
        disable: '未啟用',
        disableLeechHelper: '是否停用防盜鏈',
        disableLeech: '停用防盜鏈',
        ipv6: '監聽 IPV6',
        leechReturnError: '請填寫 HTTP 狀態碼',
        selectAcme: '選擇 Acme 帳號',
        imported: '手動建立',
        importType: '匯入方式',
        pasteSSL: '貼上程式碼',
        localSSL: '選擇伺服器文件',
        privateKeyPath: '私鑰文件',
        certificatePath: '證書文件',
        ipWhiteListHelper: 'IP白名單的作用：所有規則對IP白名單無效',
        redirect: '重定向',
        sourceDomain: '源域名/路徑',
        targetURL: '目標URL地址',
        keepPath: '保留URI參數',
        path: '路徑',
        redirectType: '重定向類型',
        redirectWay: '方式',
        keep: '保留',
        notKeep: '不保留',
        redirectRoot: '重定向到首頁',
        redirectHelper: '301永久重定向，302臨時重定向',
        changePHPVersionWarn: '切換 PHP 版本會刪除原有的 PHP 容器（不會遺失已經掛載的網站程式碼），是否繼續？ ',
        changeVersion: '切換版本',
        retainConfig: '是否保留 php-fpm.conf 和 php.ini 文件',
        runDirHelper2: '請確保二級執行目錄位於 index 目錄下',
        openrestyHelper: 'OpenResty 預設 HTTP 埠：{0} HTTPS 埠：{1}，可能影響網站域名瀏覽和 HTTPS 強制跳轉',
        primaryDomainHelper: '支援網域:port',
        acmeAccountType: '帳號類型',
        keyType: '密鑰演算法',
        tencentCloud: '騰訊雲',
        containWarn: '其他域名中包含主域名，請重新輸入',
        rewriteHelper2: '從應用程式商店安裝的 WordPress 等應用，預設已經配置好偽靜態，重複配置可能會報錯',
        websiteBackupWarn: '僅支援匯入本機備份，匯入其他機器備份可能會復原失敗',
        ipWebsiteWarn: 'IP 為網域名稱的網站，需要設定為預設網站才能正常存取',
        hstsHelper: '開啟 HSTS 可以增加網站安全性',
        defaultHtml: '預設頁面',
        website404: '網站 404 錯誤頁',
        domain404: '網站不存在頁面',
        indexHtml: '靜態網站預設頁',
        stopHtml: '網站停用頁',
        indexPHP: 'PHP 網站預設頁',
        sslExpireDate: '憑證過期時間',
        website404Helper: '網站 404 錯誤頁僅支援 PHP 執行環境網站和靜態網站',
        sni: '回源 SNI',
        sniHelper: '反代後端為 https 的時候可能需要設定回源 SNI，具體需要看 CDN 服務商文件',
        huaweicloud: '華為雲',
        rainyun: '瑞雲',
    },
    php: {
        short_open_tag: '短標籤支援',
        max_execution_time: '最大腳本執行時間',
        max_input_time: '最大輸入時間',
        memory_limit: ' 腳本記憶體限制',
        post_max_size: 'POST資料最大尺寸',
        file_uploads: '是否允許上傳文件',
        upload_max_filesize: '允許上傳文件的最大尺寸',
        max_file_uploads: '允許同時上傳文件的最大數量',
        default_socket_timeout: 'Socket超時時間',
        error_reporting: '錯誤級別',
        display_errors: '是否輸出詳細錯誤資訊',
        cgi_fix_pathinfo: '是否開啟pathinfo',
        date_timezone: '時區',
        disableFunction: '停用函數',
        disableFunctionHelper: '輸入要停用的函數，例如exec，多個請用,分割',
        uploadMaxSize: '上傳限制',
        indexHelper: '為保障PHP網站正常執行，請將程式碼放置於 index 目錄，並避免重新命名',
        extensions: '擴充範本',
        extension: '擴充',
        extensionHelper: '多個擴充功能,分割',
        toExtensionsList: '檢視擴充清單',
    },
    nginx: {
        serverNamesHashBucketSizeHelper: '伺服器名字的hash表大小',
        clientHeaderBufferSizeHelper: '客戶端請求的頭buffer大小',
        clientMaxBodySizeHelper: '最大上傳文件',
        keepaliveTimeoutHelper: '連接超時時間',
        gzipMinLengthHelper: '最小壓縮文件',
        gzipCompLevelHelper: '壓縮率',
        gzipHelper: '是否開啟壓縮傳輸',
        connections: '活動連接(Active connections)',
        accepts: '總連接次數(accepts)',
        handled: '總握手次數(handled)',
        requests: '總請求數(requests)',
        reading: '請求數(Reading)',
        writing: '響應數(Writing)',
        waiting: '駐留行程(Waiting)',
        status: '目前狀態',
        nginxConfig: '設定',
        configResource: '配置修改',
        saveAndReload: '儲存並重載',
        clearProxyCache: '清除反代快取',
        clearProxyCacheWarn: '清除反代快取會影響所有配置快取的網站，並且需要重新啟動 OpenResty， 是否繼續？ ',
    },
    ssl: {
        create: '申請證書',
        provider: '類型',
        manualCreate: '手動建立',
        acmeAccount: 'Acme 帳號',
        resolveDomain: '解析域名',
        err: '錯誤',
        value: '記錄值',
        dnsResolveHelper: '請到DNS解析服務商處新增以下解析記錄：',
        detail: '詳情',
        msg: '證書資訊',
        ssl: '證書',
        key: '私鑰',
        startDate: '生效時間',
        organization: '簽發機構',
        renewConfirm: '是否確定給網域名稱 {0} 申請證書？ ',
        autoRenew: '自動續簽',
        autoRenewHelper: '距離到期時間30天自動續約',
        renewSuccess: '續簽成功',
        renewWebsite: '該證書已經和以下網站關聯，申請會同步應用到這些網站',
        createAcme: '建立帳戶',
        acmeHelper: 'Acme 帳戶用於申請免費證書',
        upload: '上傳證書',
        applyType: '申請方式',
        apply: '申請',
        applyStart: '證書申請開始',
        getDnsResolve: '正在取得 DNS 解析值，請稍後 ...',
        selfSigned: '自簽證書',
        ca: '證書頒發機構',
        commonName: '憑證主體名稱(CN)',
        caName: '機構名稱',
        company: '公司/組織',
        department: '部門',
        city: '城市',
        province: '省份',
        country: '國家代號',
        commonNameHelper: '例如:',
        selfSign: '簽發證書',
        days: '有效期限',
        domainHelper: '一行一個網域名稱，支援*和IP位址',
        pushDir: '推送憑證到本機目錄',
        dir: '目錄',
        pushDirHelper: '會在此目錄下產生兩個文件，憑證檔案：fullchain.pem 密鑰檔案：privkey.pem',
        organizationDetail: '機構詳情',
        fromWebsite: '從網站獲取',
        dnsMauanlHelper: '手動解析模式需要在建立完之後點選申請按鈕取得 DNS 解析值',
        httpHelper: 'HTTP 模式需要安裝 OpenResty',
        buypassHelper: 'Buypass 大陸地區無法瀏覽',
        googleHelper: '如何取得EAB HmacKey 和EAB kid',
        googleCloudHelper: 'Google Cloud API 大陸大部分地區無法存取',
        httpHelper2: 'HTTP 模式無法申請泛網域憑證',
        skipDNSCheck: '跳過 DNS 校驗',
        skipDNSCheckHelper: '如果出現申請超時問題，請勾選此處，其他情況請勿勾選',
        cfHelper: '請勿使用 Global API Key',
        deprecated: '即將廢棄',
        deprecatedHelper: '已經停止維護，可能會在以後的某個版本廢棄，請使用騰訊雲方式解析',
        disableCNAME: '停用 CNAME',
        disableCNAMEHelper: '有 CNAME 配置的域名，如果申請失敗，可以勾選此處',
        nameserver: 'DNS 伺服器',
        nameserverHelper: '使用自訂的 DNS 伺服器來校驗網域名稱',
        edit: '編輯證書',
        execShell: '申請憑證之後執行腳本',
        shell: '腳本內容',
        shellHelper:
            '腳本預設執行目錄為 1Panel 安裝目錄，如果有推送證書，那麼執行目錄為證書推送目錄。預設超時時間 30 分鐘',
    },
    firewall: {
        create: '建立規則',
        edit: '編輯規則',
        notSupport: '未檢測到系統防火牆（firewalld 或者 ufw），請參考官方文件進行安裝',
        ccDeny: 'CC 防護',
        ipWhiteList: 'IP 白名單',
        ipBlockList: 'IP 黑名單',
        fileExtBlockList: '文件副檔名黑名單',
        urlWhiteList: 'URL 白名單',
        urlBlockList: 'URL 黑名單',
        argsCheck: 'GET 參數校驗',
        postCheck: 'POST 參數校驗',
        cookieBlockList: 'Cookie 黑名單',

        firewall: '防火牆',
        dockerHelper: 'Linux 防火牆 {0} 無法停用 Docker 埠映射，應用可以在 [已安裝] 頁面編輯參數來控制埠是否放開',
        quickJump: '快速跳轉',
        used: '已使用',
        unUsed: '未使用',
        firewallHelper: '{0}系統防火牆',
        firewallNotStart: '目前未開啟系統防火牆，請先開啟！',
        restartFirewallHelper: '該操作將對目前防火牆進行重啟操作，是否繼續？',
        stopFirewallHelper: '系統防火牆關閉後，伺服器將失去安全防護，是否繼續？',
        startFirewallHelper: '系統防火牆開啟後，可以更好的防護伺服器安全，是否繼續？',
        noPing: '禁 ping',
        noPingTitle: '是否禁 ping',
        noPingHelper: '禁 ping 後將無法 ping 通伺服器，是否繼續？',
        onPingHelper: '解除禁 ping 後您的伺服器可能會被駭客發現，是否繼續？',
        changeStrategy: '修改{0}策略',
        changeStrategyIPHelper1: 'IP 策略修改為【封鎖】，設定後該 IP 將禁止瀏覽伺服器，是否繼續？',
        changeStrategyIPHelper2: 'IP 策略修改為【放行】，設定後該 IP 將復原正常瀏覽，是否繼續？',
        changeStrategyPortHelper1: '埠策略修改為【拒絕】，設定後埠將拒絕外部瀏覽，是否繼續？',
        changeStrategyPortHelper2: '埠策略修改為【允許】，設定後埠將復原正常瀏覽，是否繼續？',
        stop: '禁止',
        portFormatError: '請輸入正確的埠資訊！',
        portHelper1: '多個埠，如：8080,8081',
        portHelper2: '範圍埠，如：8080-8089',
        strategy: '策略',
        accept: '允許',
        drop: '拒絕',
        source: '來源',
        anyWhere: '所有 IP',
        address: '指定 IP',
        addressHelper: '支援輸入 IP 或 IP 段',
        allow: '放行',
        deny: '封鎖',
        addressFormatError: '請輸入合法的 ip 地址！',
        addressHelper1: '支援輸入 IP 或 IP 段：172.16.10.11 或 172.16.0.0/24',
        addressHelper2: '多個 IP 或 IP 段 請用 "," 隔開：172.16.10.11,172.16.0.0/24',
        allIP: '所有 IP',
        portRule: '埠規則',
        createPortRule: '@:commons.button.create@:firewall.portRule',
        forwardRule: '埠轉發',
        createForwardRule: '@:commons.button.create@:firewall.forwardRule',
        ipRule: 'IP 規則',
        createIpRule: '@:commons.button.create @:firewall.ipRule',
        userAgent: 'User-Agent 過濾',
        sourcePort: '來源埠',
        targetIP: '目標 IP',
        targetPort: '目標埠',
        forwardHelper1: '如果是本機埠轉發，目標 IP 為：127.0.0.1',
        forwardHelper2: '如果目標 IP 不填寫，預設為本機埠轉發',
        forwardHelper3: '目前僅支援 IPv4 的埠轉發',
    },
    runtime: {
        runtime: '執行環境',
        image: '鏡像',
        workDir: '工作目錄',
        create: '建立執行環境',
        resource: '來源',
        appstore: '應用商店',
        local: '本機',
        app: '應用',
        localHelper: '本機執行環境需要自行安裝',
        version: '版本',
        versionHelper: 'PHP的版本，例 v8.0',
        buildHelper: '選擇的擴展越多，製作鏡像過程中占用 CPU 越多，請盡量避免選擇全部擴展',
        openrestyWarn: 'PHP 需要升級  OpenResty 至 1.21.4.1 版本以上才能使用',
        toupgrade: '去升級',
        edit: '編輯執行環境',
        extendHelper: '列表中不存在的擴展，可以手動輸入之後選擇，例:輸入 sockets ，然後在下拉列表中選擇第一個',
        rebuildHelper: '編輯擴展後需要【重建】PHP 應用之後才能生效',
        rebuild: '重建 PHP 應用',
        source: 'PHP 擴展源',
        ustc: '中國科學技術大學',
        netease: '網易',
        aliyun: '阿里雲',
        default: '預設',
        tsinghua: '清華大學',
        xtomhk: 'XTOM 鏡像站（香港）',
        xtom: 'XTOM 鏡像站（全球）',
        phpsourceHelper: '根據你的網路環境選擇合適的源',
        appPort: '應用埠',
        externalPort: '外部映射埠',
        packageManager: '包管理器',
        codeDir: '原始碼目錄',
        appPortHelper: '應用埠是指容器內部執行的埠',
        externalPortHelper: '外部映射埠是指將容器內部埠映射到外部的埠',
        runScript: '啟動命令',
        runScriptHelper: '啟動命令是指容器啟動後執行的命令',
        open: '開啟',
        close: '關閉',
        operatorHelper: '將對選取的執行環境進行 {0} 操作，是否繼續？ ',
        statusHelper: '狀態說明：啟動中-容器已啟動，但應用正在啟動；異常-容器已啟動，但應用狀態異常',
        taobao: '淘寶',
        tencent: '騰訊',
        imageSource: '鏡像源',
        moduleManager: '模組管理',
        module: '模組',
        nodeOperatorHelper: '是否{0} {1} 模組？ 操作可能導致運轉環境異常，請確認後操作',
        customScript: '自訂啟動指令',
        customScriptHelper: '請填寫完整的啟動指令，例如：npm run start',
        portError: '不能填寫相同連接埠',
        systemRestartHelper: '狀態說明：中斷-系統重新啟動導致狀態取得失敗',
        javaScriptHelper: '請填寫完整啟動指令，例如：java -jar halo.jar -Xmx1024M -Xms256M',
        javaDirHelper: '目錄中要包含 jar 包，子目錄中包含也可',
        goHelper: '請填寫完整啟動命令，例如：go run main.go 或 ./main',
        goDirHelper: '目錄中要包含 go 文件或者二進制文件，子目錄中包含也可',
        pythonHelper:
            '請填入完整啟動指令，例如：pip install -r requirements.txt && python manage.py runserver 0.0.0.0:5000',
        dotnetHelper: '請填入完整啟動指令，例如 dotnet MyWebApp.dll',
    },
    process: {
        pid: '行程ID',
        ppid: '父行程ID',
        numThreads: '執行緒',
        memory: '記憶體',
        diskRead: '磁碟讀',
        diskWrite: '磁碟寫',
        netSent: '上行',
        netRecv: '下行',
        numConnections: '連接',
        startTime: '啟動時間',
        status: '狀態',
        state: '狀態',
        running: '執行中',
        sleep: '睡眠',
        stop: '停止',
        idle: '空閒',
        zombie: '僵屍行程',
        wait: '等待',
        lock: '鎖定',
        blocked: '阻塞',
        cmdLine: '啟動命令',
        basic: '基本資訊',
        mem: '記憶體資訊',
        openFiles: '文件打開',
        file: '文件',
        env: '環境變數',
        noenv: '無',
        net: '網路連接',
        laddr: '源地址/埠',
        raddr: '目標地址/埠',
        stopProcess: '結束',
        viewDetails: '查看詳情',
        stopProcessWarn: '是否確定結束此行程 (PID:{0})？',
        processName: '行程名稱',
    },
    tool: {
        supervisor: {
            loadStatusErr: '獲取行程狀態失敗，請檢查 supervisor 服務狀態',
            notSupport: '未檢測到 Supervisor，請參考官方文件進行安裝',
            list: '守護行程',
            config: 'Supervisor 配置',
            primaryConfig: '主配置文件位置',
            notSupportCrl: '未檢測到 supervisorctl，請參考官方文件進行安裝',
            user: '啟動用戶',
            command: '啟動命令',
            dir: '執行目錄',
            numprocs: '行程數量',
            initWarn:
                '初始化操作需要修改配置文件的 [include] files 參數，修改後的服務配置文件所在目錄: 1panel安裝目錄/1panel/tools/supervisord/supervisor.d/',
            operatorHelper: '將對 {0} 進行 {1} 操作，是否繼續？ ',
            uptime: '執行時長',
            notStartWarn: 'Supervisor 未啟動，請先啟動',
            serviceName: '服務名稱',
            initHelper: '尚未初始化 Supervisor ，請先初始化',
            serviceNameHelper: 'systemctl 管理的 Supervisor 服務名稱，一般為 supervisor 或 supervisord',
            restartHelper: '初始化會重啟服務，導致原有的守護行程全部關閉',
            msg: '資訊',
            RUNNING: '執行中',
            STOPPED: '已停止',
            STOPPING: '停止中',
            STARTING: '啟動中',
            FATAL: '啟動失敗',
            BACKOFF: '啟動異常',
            ERROR: '錯誤',
            statusCode: '狀態碼',
            manage: '管理',
        },
    },
    alert: {
        isAlert: '是否告警',
        alertCount: '告警次數',
        clamHelper: '掃描到感染檔案時觸發簡訊告警',
        cronJobHelper: '定時任務執行失敗時將觸發簡訊告警',
        licenseHelper: '專業版支援簡訊告警功能',
        alertCountHelper: '每日最大告警次數',
    },
};
export default {
    ...fit2cloudTwLocale,
    ...message,
    ...xpackTwLocale,
};
